iso_codes = ['abw', 'afg', 'ago', 'aia', 'alb', 'and', 'are', 'arg', 'arm', 'asm', 'ata', 'atg', 'aus', 'aut', 'aze', 'bdi', 'bel', 'ben', 'bes', 'bfa', 'bgd', 'bgr', 'bhr', 'bhs', 'bih', 'blm', 'blr', 'blz', 'bmu', 'bol', 'bra', 'brb', 'brn', 'btn', 'bwa', 'caf', 'can', 'che', 'chl', 'chn', 'civ', 'cmr', 'cod', 'cog', 'cok', 'col', 'com', 'cpv', 'cri', 'cub', 'cuw', 'cym', 'cyp', 'cze', 'deu', 'dji', 'dma', 'dnk', 'dom', 'dza', 'ecu', 'egy', 'eri', 'esp', 'est', 'eth', 'fin', 'fji', 'flk', 'fra', 'fro', 'fsm', 'gab', 'gbr', 'geo', 'ggy', 'gha', 'gib', 'gin', 'glp', 'gmb', 'gnb', 'gnq', 'grc', 'grd', 'grl', 'gtm', 'guf', 'gum', 'guy', 'hnd', 'hrv', 'hti', 'hun', 'idn', 'imn', 'irl', 'irn', 'irq', 'isl', 'isr', 'ita', 'jam', 'jor', 'jpn', 'kaz', 'ken', 'kgz', 'khm', 'kir', 'kna', 'kor', 'kwt', 'lao', 'lbn', 'lbr', 'lby', 'lca', 'lie', 'lka', 'lso', 'ltu', 'lux', 'lva', 'mar', 'mco', 'mda', 'mdg', 'mdv', 'mex', 'mhl', 'mkd', 'mli', 'mlt', 'mmr', 'mne', 'mng', 'mnp', 'moz', 'mrt', 'msr', 'mtq', 'mus', 'mwi', 'mys', 'myt', 'nam', 'ncl', 'ner', 'nga', 'nic', 'niu', 'nld', 'nor', 'npl', 'nru', 'nzl', 'omn', 'pak', 'pan', 'pcn', 'per', 'phl', 'plw', 'png', 'pol', 'prk', 'prt', 'pry', 'pse', 'pyf', 'qat', 'reu', 'rou', 'rus', 'rwa', 'sau', 'sdn', 'sen', 'sgp', 'shn', 'slb', 'sle', 'slv', 'smr', 'som', 'srb', 'ssd', 'stp', 'sur', 'svk', 'svn', 'swe', 'swz', 'syc', 'syr', 'tca', 'tcd', 'tgo', 'tha', 'tjk', 'tkm', 'tls', 'ton', 'tto', 'tun', 'tur', 'tuv', 'twn', 'tza', 'uga', 'ukr', 'ury', 'usa', 'uzb', 'vat', 'vct', 'ven', 'vgb', 'vir', 'vnm', 'vut', 'wlf', 'wsm', 'xkx', 'yem', 'zaf', 'zmb', 'zwe', 'tkl']

# TODO: dict is outdated, it's missing some countries;
# in any case, validity checks of codes should be dynamic
iso2_iso3_dict = {'af': 'afg',
 'al': 'alb',
 'dz': 'dza',
 'ad': 'and',
 'ao': 'ago',
 'ag': 'atg',
 'ar': 'arg',
 'am': 'arm',
 'au': 'aus',
 'at': 'aut',
 'az': 'aze',
 'bs': 'bhs',
 'bh': 'bhr',
 'bd': 'bgd',
 'bb': 'brb',
 'by': 'blr',
 'be': 'bel',
 'bz': 'blz',
 'bj': 'ben',
 'bt': 'btn',
 'bo': 'bol',
 'ba': 'bih',
 'bw': 'bwa',
 'br': 'bra',
 'bn': 'brn',
 'bg': 'bgr',
 'bf': 'bfa',
 'bi': 'bdi',
 'kh': 'khm',
 'cm': 'cmr',
 'ca': 'can',
 'cv': 'cpv',
 'cf': 'caf',
 'td': 'tcd',
 'cl': 'chl',
 'cn': 'chn',
 'co': 'col',
 'km': 'com',
 'cg': 'cog',
 'cd': 'cod',
 'cr': 'cri',
 'ci': 'civ',
 'hr': 'hrv',
 'cu': 'cub',
 'cy': 'cyp',
 'cz': 'cze',
 'dk': 'dnk',
 'dj': 'dji',
 'dm': 'dma',
 'do': 'dom',
 'ec': 'ecu',
 'eg': 'egy',
 'sv': 'slv',
 'gq': 'gnq',
 'er': 'eri',
 'ee': 'est',
 'et': 'eth',
 'fj': 'fji',
 'fi': 'fin',
 'fr': 'fra',
 'ga': 'gab',
 'gm': 'gmb',
 'ge': 'geo',
 'de': 'deu',
 'gh': 'gha',
 'gr': 'grc',
 'gd': 'grd',
 'gt': 'gtm',
 'gn': 'gin',
 'gw': 'gnb',
 'gy': 'guy',
 'ht': 'hti',
 'hn': 'hnd',
 'hu': 'hun',
 'is': 'isl',
 'in': 'ind',
 'id': 'idn',
 'ir': 'irn',
 'iq': 'irq',
 'ie': 'irl',
 'il': 'isr',
 'it': 'ita',
 'jm': 'jam',
 'jp': 'jpn',
 'jo': 'jor',
 'kz': 'kaz',
 'ke': 'ken',
 'ki': 'kir',
 'kp': 'prk',
 'kr': 'kor',
 'kw': 'kwt',
 'kg': 'kgz',
 'la': 'lao',
 'lv': 'lva',
 'lb': 'lbn',
 'ls': 'lso',
 'lr': 'lbr',
 'ly': 'lby',
 'li': 'lie',
 'lt': 'ltu',
 'lu': 'lux',
 'mk': 'mkd',
 'mg': 'mdg',
 'mw': 'mwi',
 'my': 'mys',
 'mv': 'mdv',
 'ml': 'mli',
 'mt': 'mlt',
 'mh': 'mhl',
 'mr': 'mrt',
 'mu': 'mus',
 'mx': 'mex',
 'fm': 'fsm',
 'ma': 'mar',
 'md': 'mda',
 'mc': 'mco',
 'mn': 'mng',
 'me': 'mne',
 'mz': 'moz',
 'mm': 'mmr',
 'na': 'nam',
 'nr': 'nru',
 'np': 'npl',
 'nl': 'nld',
 'nz': 'nzl',
 'ni': 'nic',
 'ne': 'ner',
 'ng': 'nga',
 'no': 'nor',
 'om': 'omn',
 'pk': 'pak',
 'pw': 'plw',
 'pa': 'pan',
 'pg': 'png',
 'py': 'pry',
 'pe': 'per',
 'ph': 'phl',
 'pl': 'pol',
 'pt': 'prt',
 'qa': 'qat',
 'ro': 'rou',
 'ru': 'rus',
 'rw': 'rwa',
 'kn': 'kna',
 'lc': 'lca',
 'vc': 'vct',
 'ws': 'wsm',
 'sm': 'smr',
 'st': 'stp',
 'sa': 'sau',
 'sn': 'sen',
 'rs': 'srb',
 'sc': 'syc',
 'sl': 'sle',
 'sg': 'sgp',
 'sk': 'svk',
 'si': 'svn',
 'sb': 'slb',
 'so': 'som',
 'za': 'zaf',
 'ss': 'ssd',
 'es': 'esp',
 'lk': 'lka',
 'sd': 'sdn',
 'sr': 'sur',
 'sz': 'swz',
 'se': 'swe',
 'ch': 'che',
 'sy': 'syr',
 'tj': 'tjk',
 'tz': 'tza',
 'th': 'tha',
 'tl': 'tls',
 'tg': 'tgo',
 'to': 'ton',
 'tt': 'tto',
 'tn': 'tun',
 'tr': 'tur',
 'tm': 'tkm',
 'tv': 'tuv',
 'ug': 'uga',
 'ua': 'ukr',
 'ae': 'are',
 'gb': 'gbr',
 'us': 'usa',
 'uy': 'ury',
 'uz': 'uzb',
 'vu': 'vut',
 've': 'ven',
 'vn': 'vnm',
 'ye': 'yem',
 'zm': 'zmb',
 'zw': 'zwe'}
