"""copyright© 2016 - 2022 stefan gabos [https://stefangabos.github.io/world_countries/]"""
countries_iso3 = {'أفغانستان': 'afg', 'афганистан': 'afg', 'afghánistán': 'afg', 'afghanistan': 'afg', 'αφγανιστάν': 'afg', 'afganio': 'afg', 'afganistán': 'afg', 'afganistan': 'afg', 'afganisztán': 'afg', 'աֆղանստան': 'afg', 'アフガニスタン': 'afg', '아프가니스탄': 'afg', 'afganistanas': 'afg', 'afeganistão': 'afg', 'อัฟกานิสถาน': 'afg', 'афганістан': 'afg', '阿富汗': 'afg', 'ألبانيا': 'alb', 'албания': 'alb', 'albánie': 'alb', 'albanien': 'alb', 'αλβανία': 'alb', 'albania': 'alb', 'albanio': 'alb', 'albaania': 'alb', 'albanie': 'alb', 'albánia': 'alb', 'ալբանիա': 'alb', 'アルバニア': 'alb', '알바니아': 'alb', 'albanija': 'alb', 'albanië': 'alb', 'albânia': 'alb', 'albánsko': 'alb', 'แอลเบเนีย': 'alb', 'албанія': 'alb', '阿尔巴尼亚': 'alb', '阿爾巴尼亞': 'alb', 'الجزائر': 'dza', 'алжир': 'dza', 'alžírsko': 'dza', 'algeriet': 'dza', 'algerien': 'dza', 'αλγερία': 'dza', 'algeria': 'dza', 'alĝerio': 'dza', 'argelia': 'dza', 'alžeeria': 'dza', 'aljeria': 'dza', 'algérie': 'dza', 'algéria': 'dza', 'ալժիր': 'dza', 'アルジェリア': 'dza', '알제리': 'dza', 'alžyras': 'dza', 'algerije': 'dza', 'algerie': 'dza', 'algieria': 'dza', 'argélia': 'dza', 'แอลจีเรีย': 'dza', '阿尔及利亚': 'dza', '阿爾及利亞': 'dza', 'أندورا': 'and', 'андора': 'and', 'andorra': 'and', 'ανδόρρα': 'and', 'andoro': 'and', 'andorre': 'and', 'անդորրա': 'and', 'アンドラ': 'and', '안도라': 'and', 'andora': 'and', 'андорра': 'and', 'อันดอร์รา': 'and', '安道尔': 'and', '安道爾': 'and', 'أنغولا': 'ago', 'ангола': 'ago', 'angola': 'ago', 'ανγκόλα': 'ago', 'angolo': 'ago', 'անգոլա': 'ago', 'アンゴラ': 'ago', '앙골라': 'ago', 'แองโกลา': 'ago', '安哥拉': 'ago', 'أنتيغوا وباربودا': 'atg', 'антигуа и барбуда': 'atg', 'antigua a barbuda': 'atg', 'antigua og barbuda': 'atg', 'antigua und barbuda': 'atg', 'αντίγκουα και μπαρμπούντα': 'atg', 'antigua and barbuda': 'atg', 'antigvo kaj barbudo': 'atg', 'antigua y barbuda': 'atg', 'antigua ja barbuda': 'atg', 'antigua eta barbuda': 'atg', 'antigua-et-barbuda': 'atg', 'antigua és barbuda': 'atg', 'անտիգուա և բարբուդա': 'atg', 'antigua e barbuda': 'atg', 'アンティグア・バーブーダ': 'atg', '앤티가 바부다': 'atg', 'antigva ir barbuda': 'atg', 'antigua en barbuda': 'atg', 'antigua i barbuda': 'atg', 'antígua e barbuda': 'atg', 'antigua și barbuda': 'atg', 'antigua och barbuda': 'atg', 'แอนติกาและบาร์บูดา': 'atg', 'антигуа і барбуда': 'atg', '安提瓜和巴布达': 'atg', '安地卡及巴布達': 'atg', 'الأرجنتين': 'arg', 'аржентина': 'arg', 'argentina': 'arg', 'argentinien': 'arg', 'αργεντινή': 'arg', 'argentino': 'arg', 'argentiina': 'arg', 'argentine': 'arg', 'argentína': 'arg', 'արգենտինա': 'arg', 'アルゼンチン': 'arg', '아르헨티나': 'arg', 'argentinië': 'arg', 'argentyna': 'arg', 'аргентина': 'arg', 'อาร์เจนตินา': 'arg', '阿根廷': 'arg', 'أرمينيا': 'arm', 'армения': 'arm', 'arménie': 'arm', 'armenien': 'arm', 'αρμενία': 'arm', 'armenia': 'arm', 'armenio': 'arm', 'armeenia': 'arm', 'örményország': 'arm', 'հայաստան': 'arm', 'アルメニア': 'arm', '아르메니아': 'arm', 'armėnija': 'arm', 'armenië': 'arm', 'armênia': 'arm', 'arménsko': 'arm', 'อาร์มีเนีย': 'arm', 'вірменія': 'arm', '亚美尼亚': 'arm', '亞美尼亞': 'arm', 'أستراليا': 'aus', 'австралия': 'aus', 'austrálie': 'aus', 'australien': 'aus', 'αυστραλία': 'aus', 'australia': 'aus', 'aŭstralio': 'aus', 'austraalia': 'aus', 'australie': 'aus', 'ausztrália': 'aus', 'ավստրալիա': 'aus', 'オーストラリア': 'aus', '오스트레일리아': 'aus', 'australija': 'aus', 'australië': 'aus', 'austrália': 'aus', 'ออสเตรเลีย': 'aus', 'австралія': 'aus', '澳大利亚': 'aus', '澳大利亞': 'aus', 'النمسا': 'aut', 'австрия': 'aut', 'rakousko': 'aut', 'østrig': 'aut', 'österreich': 'aut', 'αυστρία': 'aut', 'austria': 'aut', 'aŭstrio': 'aut', 'itävalta': 'aut', 'autriche': 'aut', 'ausztria': 'aut', 'ավստրիա': 'aut', 'オーストリア': 'aut', '오스트리아': 'aut', 'austrija': 'aut', 'oostenrijk': 'aut', 'østerrike': 'aut', 'áustria': 'aut', 'rakúsko': 'aut', 'österrike': 'aut', 'ออสเตรีย': 'aut', 'австрія': 'aut', '奥地利': 'aut', '奧地利': 'aut', 'أذربيجان': 'aze', 'азербайджан': 'aze', 'ázerbájdžán': 'aze', 'aserbajdsjan': 'aze', 'aserbaidschan': 'aze', 'αζερμπαϊτζάν': 'aze', 'azerbaijan': 'aze', 'azerbajĝano': 'aze', 'azerbaiyán': 'aze', 'aserbaidžaan': 'aze', 'azerbaidžan': 'aze', 'azerbaïdjan': 'aze', 'azerbajdzsán': 'aze', 'ադրբեջան': 'aze', 'azerbaigian': 'aze', 'アゼルバイジャン': 'aze', '아제르바이잔': 'aze', 'azerbaidžanas': 'aze', 'azerbeidzjan': 'aze', 'azerbejdżan': 'aze', 'azerbaijão': 'aze', 'azerbaidjan': 'aze', 'azerbajdžan': 'aze', 'azerbajdzjan': 'aze', 'อาเซอร์ไบจาน': 'aze', '阿塞拜疆': 'aze', '亞塞拜然': 'aze', 'باهاماس': 'bhs', 'бахамски острови': 'bhs', 'bahamy': 'bhs', 'bahamas': 'bhs', 'μπαχάμες': 'bhs', 'bahamoj': 'bhs', 'bahama': 'bhs', 'bahamak': 'bhs', 'bahama-szigetek': 'bhs', 'բահամներ': 'bhs', 'バハマ': 'bhs', '바하마': 'bhs', 'bahamos': 'bhs', "bahama's": 'bhs', 'багамские острова': 'bhs', 'บาฮามาส': 'bhs', 'багамські острови': 'bhs', '巴哈马': 'bhs', '巴哈馬': 'bhs', 'البحرين': 'bhr', 'бахрейн': 'bhr', 'bahrajn': 'bhr', 'bahrain': 'bhr', 'μπαχρέιν': 'bhr', 'barejno': 'bhr', 'baréin': 'bhr', 'bahrein': 'bhr', 'bahreïn': 'bhr', 'բահրեյն': 'bhr', 'バーレーン': 'bhr', '바레인': 'bhr', 'bahreinas': 'bhr', 'barém': 'bhr', 'บาห์เรน': 'bhr', '巴林': 'bhr', 'بنغلاديش': 'bgd', 'бангладеш': 'bgd', 'bangladéš': 'bgd', 'bangladesh': 'bgd', 'bangladesch': 'bgd', 'μπανγκλαντές': 'bgd', 'bangladeŝo': 'bgd', 'bangladés': 'bgd', 'banglades': 'bgd', 'բանգլադեշ': 'bgd', 'バングラデシュ': 'bgd', '방글라데시': 'bgd', 'bangladešas': 'bgd', 'bangladesz': 'bgd', 'bangladexe': 'bgd', 'บังกลาเทศ': 'bgd', '孟加拉国': 'bgd', '孟加拉': 'bgd', 'باربادوس': 'brb', 'барбадос': 'brb', 'barbados': 'brb', 'μπαρμπάντος': 'brb', 'barbado': 'brb', 'barbade': 'brb', 'բարբադոս': 'brb', 'バルバドス': 'brb', '바베이도스': 'brb', 'barbadosas': 'brb', 'บาร์เบโดส': 'brb', '巴巴多斯': 'brb', '巴貝多': 'brb', 'بيلاروس': 'blr', 'беларус': 'blr', 'bělorusko': 'blr', 'hviderusland': 'blr', 'belarus': 'blr', 'λευκορωσία': 'blr', 'belorusio': 'blr', 'bielorrusia': 'blr', 'valgevene': 'blr', 'valko-venäjä': 'blr', 'biélorussie': 'blr', 'fehéroroszország': 'blr', 'բելառուս': 'blr', 'bielorussia': 'blr', 'ベラルーシ': 'blr', '벨라루스': 'blr', 'baltarusija': 'blr', 'wit-rusland': 'blr', 'białoruś': 'blr', 'bielorrússia': 'blr', 'белоруссия': 'blr', 'bielorusko': 'blr', 'เบลารุส': 'blr', 'білорусь': 'blr', '白俄罗斯': 'blr', '白俄羅斯': 'blr', 'بلجيكا': 'bel', 'белгия': 'bel', 'belgie': 'bel', 'belgien': 'bel', 'βέλγιο': 'bel', 'belgium': 'bel', 'belgio': 'bel', 'bélgica': 'bel', 'belgia': 'bel', 'belgika': 'bel', 'belgique': 'bel', 'բելգիա': 'bel', 'ベルギー': 'bel', '벨기에': 'bel', 'belgija': 'bel', 'belgië': 'bel', 'бельгия': 'bel', 'belgicko': 'bel', 'เบลเยียม': 'bel', 'бельгія': 'bel', '比利时': 'bel', '比利時': 'bel', 'بليز': 'blz', 'белиз': 'blz', 'belize': 'blz', 'μπελίζ': 'blz', 'belizo': 'blz', 'belice': 'blz', 'բելիզ': 'blz', 'ベリーズ': 'blz', '벨리즈': 'blz', 'belizas': 'blz', 'เบลีซ': 'blz', 'беліз': 'blz', '伯利兹': 'blz', '貝里斯': 'blz', 'بنين': 'ben', 'бенин': 'ben', 'benin': 'ben', 'μπενίν': 'ben', 'benino': 'ben', 'benín': 'ben', 'bénin': 'ben', 'բենին': 'ben', 'ベナン': 'ben', '베냉': 'ben', 'beninas': 'ben', 'benim': 'ben', 'เบนิน': 'ben', 'бенін': 'ben', '贝宁': 'ben', '貝南': 'ben', 'بوتان': 'btn', 'бутан': 'btn', 'bhútán': 'btn', 'bhutan': 'btn', 'μπουτάν': 'btn', 'butano': 'btn', 'bután': 'btn', 'bhoutan': 'btn', 'bhután': 'btn', 'բութան': 'btn', 'ブータン': 'btn', '부탄': 'btn', 'butanas': 'btn', 'butão': 'btn', 'ภูฏาน': 'btn', '不丹': 'btn', 'بوليفيا': 'bol', 'боливия': 'bol', 'bolívie': 'bol', 'bolivia': 'bol', 'bolivien': 'bol', 'βολιβία': 'bol', 'bolivia (plurinational state of)': 'bol', 'bolivio': 'bol', 'boliivia': 'bol', 'bolivie': 'bol', 'bolívia': 'bol', 'բոլիվիա': 'bol', 'ボリビア多民族国': 'bol', '볼리비아': 'bol', 'bolivija': 'bol', 'boliwia': 'bol', 'โบลิเวีย': 'bol', 'болівія': 'bol', '玻利维亚': 'bol', '玻利維亞': 'bol', 'البوسنة والهرسك': 'bih', 'босна и херцеговина': 'bih', 'bosna a hercegovina': 'bih', 'bosnien-hercegovina': 'bih', 'bosnien und herzegowina': 'bih', 'βοσνία-ερζεγοβίνη': 'bih', 'bosnia and herzegovina': 'bih', 'bosnio kaj hercegovino': 'bih', 'bosnia y herzegovina': 'bih', 'bosnia ja hertsegoviina': 'bih', 'bosnia-herzegovina': 'bih', 'bosnia ja hertsegovina': 'bih', 'bosnie-herzégovine': 'bih', 'bosznia-hercegovina': 'bih', 'բոսնիա և հերցեգովինա': 'bih', 'bosnia ed erzegovina': 'bih', 'ボスニア・ヘルツェゴビナ': 'bih', '보스니아 헤르체고비나': 'bih', 'bosnija ir hercegovina': 'bih', 'bosnië en herzegovina': 'bih', 'bosnia-hercegovina': 'bih', 'bośnia i hercegowina': 'bih', 'bósnia e herzegovina': 'bih', 'bosnia și herțegovina': 'bih', 'босния и герцеговина': 'bih', 'bosnien och hercegovina': 'bih', 'บอสเนียและเฮอร์เซโกวีนา': 'bih', 'боснія і герцеговина': 'bih', '波黑': 'bih', '波士尼亞與赫塞哥維納': 'bih', 'بوتسوانا': 'bwa', 'ботсвана': 'bwa', 'botswana': 'bwa', 'μποτσουάνα': 'bwa', 'bocvano': 'bwa', 'botsuana': 'bwa', 'բոտսվանա': 'bwa', 'ボツワナ': 'bwa', '보츠와나': 'bwa', 'botsvana': 'bwa', 'บอตสวานา': 'bwa', '博茨瓦纳': 'bwa', '波札那': 'bwa', 'البرازيل': 'bra', 'бразилия': 'bra', 'brazílie': 'bra', 'brasilien': 'bra', 'βραζιλία': 'bra', 'brazil': 'bra', 'brazilo': 'bra', 'brasil': 'bra', 'brasiilia': 'bra', 'brasilia': 'bra', 'brésil': 'bra', 'brazília': 'bra', 'բրազիլիա': 'bra', 'brasile': 'bra', 'ブラジル': 'bra', '브라질': 'bra', 'brazilija': 'bra', 'brazilië': 'bra', 'brazylia': 'bra', 'brazilia': 'bra', 'บราซิล': 'bra', 'бразилія': 'bra', '巴西': 'bra', 'بروناي': 'brn', 'бруней': 'brn', 'brunej': 'brn', 'brunei': 'brn', 'μπρουνέι': 'brn', 'brunei darussalam': 'brn', 'brunejo': 'brn', 'brunéi': 'brn', 'բրունեյ': 'brn', 'ブルネイ・ダルサラーム': 'brn', '브루나이': 'brn', 'brunėjus': 'brn', 'บรูไน': 'brn', '文莱': 'brn', '汶萊': 'brn', 'بلغاريا': 'bgr', 'българия': 'bgr', 'bulharsko': 'bgr', 'bulgarien': 'bgr', 'βουλγαρία': 'bgr', 'bulgaria': 'bgr', 'bulgario': 'bgr', 'bulgaaria': 'bgr', 'bulgarie': 'bgr', 'bulgária': 'bgr', 'բուլղարիա': 'bgr', 'ブルガリア': 'bgr', '불가리아': 'bgr', 'bulgarija': 'bgr', 'bulgarije': 'bgr', 'bułgaria': 'bgr', 'болгария': 'bgr', 'บัลแกเรีย': 'bgr', 'болгарія': 'bgr', '保加利亚': 'bgr', '保加利亞': 'bgr', 'بوركينا فاسو': 'bfa', 'буркина фасо': 'bfa', 'burkina faso': 'bfa', 'μπουρκίνα φάσο': 'bfa', 'burkino': 'bfa', 'բուրկինա ֆասո': 'bfa', 'ブルキナファソ': 'bfa', '부르키나파소': 'bfa', 'burquina fasso': 'bfa', 'буркина-фасо': 'bfa', 'burkina': 'bfa', 'บูร์กินาฟาโซ': 'bfa', 'буркіна-фасо': 'bfa', '布基纳法索': 'bfa', '布吉納法索': 'bfa', 'بوروندي': 'bdi', 'бурунди': 'bdi', 'burundi': 'bdi', 'μπουρούντι': 'bdi', 'burundo': 'bdi', 'բուրունդի': 'bdi', 'ブルンジ': 'bdi', '부룬디': 'bdi', 'burundis': 'bdi', 'บุรุนดี': 'bdi', 'бурунді': 'bdi', '布隆迪': 'bdi', '蒲隆地': 'bdi', 'كمبوديا': 'khm', 'камбоджа': 'khm', 'kambodža': 'khm', 'cambodja': 'khm', 'kambodscha': 'khm', 'καμπότζη': 'khm', 'cambodia': 'khm', 'kamboĝo': 'khm', 'camboya': 'khm', 'kanbodia': 'khm', 'cambodge': 'khm', 'kambodzsa': 'khm', 'կամբոջա': 'khm', 'cambogia': 'khm', 'カンボジア': 'khm', '캄보디아': 'khm', 'kambodsja': 'khm', 'kambodża': 'khm', 'camboja': 'khm', 'cambodgia': 'khm', 'kambodja': 'khm', 'กัมพูชา': 'khm', '柬埔寨': 'khm', 'الكاميرون': 'cmr', 'камерун': 'cmr', 'kamerun': 'cmr', 'cameroun': 'cmr', 'καμερούν': 'cmr', 'cameroon': 'cmr', 'kameruno': 'cmr', 'camerún': 'cmr', 'կամերուն': 'cmr', 'camerun': 'cmr', 'カメルーン': 'cmr', '카메룬': 'cmr', 'kamerūnas': 'cmr', 'kameroen': 'cmr', 'camarões': 'cmr', 'แคเมอรูน': 'cmr', '喀麦隆': 'cmr', '喀麥隆': 'cmr', 'كندا': 'can', 'канада': 'can', 'kanada': 'can', 'canada': 'can', 'καναδάς': 'can', 'kanado': 'can', 'canadá': 'can', 'կանադա': 'can', 'カナダ': 'can', '캐나다': 'can', 'แคนาดา': 'can', '加拿大': 'can', 'الرأس الأخضر': 'cpv', 'кабо верде': 'cpv', 'kapverdy': 'cpv', 'kap verde': 'cpv', 'πράσινο ακρωτήρι': 'cpv', 'cabo verde': 'cpv', 'kaboverdo': 'cpv', 'roheneemesaared': 'cpv', 'cap-vert': 'cpv', 'zöld-foki köztársaság': 'cpv', 'կաբո վերդե': 'cpv', 'capo verde': 'cpv', 'カーボベルデ': 'cpv', '카보베르데': 'cpv', 'žaliasis kyšulys': 'cpv', 'kaapverdië': 'cpv', 'kapp verde': 'cpv', 'republika zielonego przylądka': 'cpv', 'republica capului verde': 'cpv', 'кабо-верде': 'cpv', 'กาบูเวร์ดี': 'cpv', '佛得角': 'cpv', '維德角': 'cpv', 'جمهورية أفريقيا الوسطى': 'caf', 'централноафриканска република': 'caf', 'středoafrická republika': 'caf', 'centralafrikanske republik': 'caf', 'zentralafrikanische republik': 'caf', 'κεντροαφρικανική δημοκρατία': 'caf', 'central african republic': 'caf', 'centr-afrika respubliko': 'caf', 'república centroafricana': 'caf', 'kesk-aafrika vabariik': 'caf', 'afrika erdiko errepublika': 'caf', 'keski-afrikan tasavalta': 'caf', 'république centrafricaine': 'caf', 'közép-afrika': 'caf', 'կենտրոնաաֆրիկյան հանրապետություն': 'caf', 'rep. centrafricana': 'caf', '中央アフリカ共和国': 'caf', '중앙아프리카 공화국': 'caf', 'centrinės afrikos respublika': 'caf', 'centraal-afrikaanse republiek': 'caf', 'den sentralafrikanske republikk': 'caf', 'republika środkowoafrykańska': 'caf', 'república centro-africana': 'caf', 'republica centrafricană': 'caf', 'цар': 'caf', 'stredoafrická republika': 'caf', 'centralafrikanska republiken': 'caf', 'สาธารณรัฐแอฟริกากลาง': 'caf', 'центральноафриканська республіка': 'caf', '中非': 'caf', 'تشاد': 'tcd', 'чад': 'tcd', 'čad': 'tcd', 'tchad': 'tcd', 'tschad': 'tcd', 'τσαντ': 'tcd', 'chad': 'tcd', 'ĉado': 'tcd', 'tšaad': 'tcd', 'txad': 'tcd', 'tšad': 'tcd', 'csád': 'tcd', 'չադ': 'tcd', 'ciad': 'tcd', 'チャド': 'tcd', '차드': 'tcd', 'čadas': 'tcd', 'tsjaad': 'tcd', 'tsjad': 'tcd', 'czad': 'tcd', 'chade': 'tcd', 'ชาด': 'tcd', '乍得': 'tcd', '查德': 'tcd', 'تشيلي': 'chl', 'чили': 'chl', 'chile': 'chl', 'χιλή': 'chl', 'ĉilio': 'chl', 'tšiili': 'chl', 'txile': 'chl', 'chili': 'chl', 'չիլի': 'chl', 'cile': 'chl', 'チリ': 'chl', '칠레': 'chl', 'čilė': 'chl', 'čile': 'chl', 'ชิลี': 'chl', 'чилі': 'chl', '智利': 'chl', 'الصين': 'chn', 'китай': 'chn', 'čína': 'chn', 'kina': 'chn', 'volksrepublik china': 'chn', 'κίνα': 'chn', 'china': 'chn', 'ĉinio': 'chn', 'hiina': 'chn', 'txina': 'chn', 'kiina': 'chn', 'chine': 'chn', 'kína': 'chn', 'չինաստան': 'chn', 'cina': 'chn', '中華人民共和国': 'chn', '중국': 'chn', 'kinija': 'chn', 'chiny': 'chn', 'republica populară chineză': 'chn', 'китай (китайская народная республика)': 'chn', 'จีน': 'chn', 'китайська народна республіка': 'chn', '中国': 'chn', '中國': 'chn', 'كولومبيا': 'col', 'колумбия': 'col', 'kolumbie': 'col', 'colombia': 'col', 'kolumbien': 'col', 'κολομβία': 'col', 'kolombio': 'col', 'kolonbia': 'col', 'kolumbia': 'col', 'colombie': 'col', 'կոլումբիա': 'col', 'コロンビア': 'col', '콜롬비아': 'col', 'kolumbija': 'col', 'colômbia': 'col', 'columbia': 'col', 'โคลอมเบีย': 'col', 'колумбія': 'col', '哥伦比亚': 'col', '哥倫比亞': 'col', 'جزر القمر': 'com', 'коморски острови': 'com', 'komory': 'com', 'comorerne': 'com', 'komoren': 'com', 'κομόρες': 'com', 'comoros': 'com', 'komoroj': 'com', 'comoras': 'com', 'komoorid': 'com', 'komoreak': 'com', 'komorit': 'com', 'comores': 'com', 'comore-szigetek': 'com', 'կոմորներ': 'com', 'comore': 'com', 'コモロ': 'com', '코모로': 'com', 'komorai': 'com', 'comoren': 'com', 'komorene': 'com', 'коморы': 'com', 'komorerna': 'com', 'คอโมโรส': 'com', 'коморські острови': 'com', '科摩罗': 'com', '葛摩': 'com', 'جمهورية الكونغو': 'cog', 'република конго': 'cog', 'kongo': 'cog', 'congo': 'cog', 'kongo, republik': 'cog', 'κογκό': 'cog', 'respubliko kongo': 'cog', 'república del congo': 'cog', 'kongo vabariik': 'cog', 'kongoko errepublika': 'cog', 'kongon tasavalta': 'cog', 'république du congo': 'cog', 'kongói köztársaság (kongó)': 'cog', 'կոնգոյի հանրապետություն': 'cog', 'rep. del congo': 'cog', 'コンゴ共和国': 'cog', '콩고 공화국': 'cog', 'kongo respublika': 'cog', 'congo-brazzaville': 'cog', 'kongo, republikken': 'cog', 'república do congo': 'cog', 'республика конго': 'cog', 'kongo-brazzaville': 'cog', 'สาธารณรัฐคองโก': 'cog', 'республіка конго': 'cog', '刚果共和国': 'cog', '剛果共和國': 'cog', 'جمهورية الكونغو الديمقراطية': 'cod', 'демократична република конго': 'cod', 'konžská demokratická republika': 'cod', 'demokratiske republik congo': 'cod', 'kongo, demokratische republik': 'cod', 'λαϊκή δημοκρατία του κογκό': 'cod', 'congo, democratic republic of the': 'cod', 'demokratia respubliko kongo': 'cod', 'república democrática del congo': 'cod', 'kongo demokraatlik vabariik': 'cod', 'kongoko errepublika demokratikoa': 'cod', 'kongon demokraattinen tasavalta': 'cod', 'république démocratique du congo': 'cod', 'kongói demokratikus köztársaság (zaire)': 'cod', 'կոնգոյի դեմոկրատական հանրապետություն': 'cod', 'rd del congo': 'cod', 'コンゴ民主共和国': 'cod', '콩고 민주 공화국': 'cod', 'kongo demokratinė respublika': 'cod', 'congo-kinshasa': 'cod', 'kongo, den demokratiske republikken': 'cod', 'demokratyczna republika konga': 'cod', 'república democrática do congo': 'cod', 'republica democrată congo': 'cod', 'др конго': 'cod', 'kongo-kinshasa': 'cod', 'สาธารณรัฐประชาธิปไตยคองโก': 'cod', '刚果民主共和国': 'cod', '剛果民主共和國': 'cod', 'كوستاريكا': 'cri', 'коста рика': 'cri', 'kostarika': 'cri', 'costa rica': 'cri', 'κόστα ρίκα': 'cri', 'kostariko': 'cri', 'կոստա ռիկա': 'cri', 'コスタリカ': 'cri', '코스타리카': 'cri', 'kosta rika': 'cri', 'kostaryka': 'cri', 'коста-рика': 'cri', 'คอสตาริกา': 'cri', '哥斯达黎加': 'cri', '哥斯大黎加': 'cri', 'ساحل العاج': 'civ', "кот д'ивоар": 'civ', 'pobřeží slonoviny': 'civ', 'elfenbenskysten': 'civ', 'elfenbeinküste': 'civ', 'ακτή ελεφαντοστού': 'civ', "côte d'ivoire": 'civ', 'ebura bordo': 'civ', 'costa de marfil': 'civ', 'elevandiluurannik': 'civ', 'boli kosta': 'civ', 'norsunluurannikko': 'civ', 'elefántcsontpart': 'civ', "կոտ դ'իվուար": 'civ', "costa d'avorio": 'civ', 'コートジボワール': 'civ', '코트디부아르': 'civ', 'dramblio kaulo krantas': 'civ', 'ivoorkust': 'civ', 'wybrzeże kości słoniowej': 'civ', 'costa do marfim': 'civ', 'coasta de fildeș': 'civ', 'кот-д’ивуар': 'civ', 'pobrežie slonoviny': 'civ', 'elfenbenskusten': 'civ', 'โกตดิวัวร์': 'civ', "кот-д'івуар": 'civ', '科特迪瓦': 'civ', '象牙海岸': 'civ', 'كرواتيا': 'hrv', 'хърватия': 'hrv', 'chorvatsko': 'hrv', 'kroatien': 'hrv', 'κροατία': 'hrv', 'croatia': 'hrv', 'kroatio': 'hrv', 'croacia': 'hrv', 'horvaatia': 'hrv', 'kroazia': 'hrv', 'kroatia': 'hrv', 'croatie': 'hrv', 'horvátország': 'hrv', 'խորվաթիա': 'hrv', 'croazia': 'hrv', 'クロアチア': 'hrv', '크로아티아': 'hrv', 'kroatija': 'hrv', 'kroatië': 'hrv', 'chorwacja': 'hrv', 'croácia': 'hrv', 'croația': 'hrv', 'хорватия': 'hrv', 'chorvátsko': 'hrv', 'โครเอเชีย': 'hrv', 'хорватія': 'hrv', '克罗地亚': 'hrv', '克羅埃西亞': 'hrv', 'كوبا': 'cub', 'куба': 'cub', 'kuba': 'cub', 'cuba': 'cub', 'κούβα': 'cub', 'kubo': 'cub', 'kuuba': 'cub', 'կուբա': 'cub', 'キューバ': 'cub', '쿠바': 'cub', 'คิวบา': 'cub', '古巴': 'cub', 'قبرص': 'cyp', 'кипър': 'cyp', 'kypr': 'cyp', 'cypern': 'cyp', 'zypern': 'cyp', 'κύπρος': 'cyp', 'cyprus': 'cyp', 'kipro': 'cyp', 'chipre': 'cyp', 'küpros': 'cyp', 'zipre': 'cyp', 'kypros': 'cyp', 'chypre': 'cyp', 'ciprus': 'cyp', 'կիպրոս': 'cyp', 'cipro': 'cyp', 'キプロス': 'cyp', '키프로스': 'cyp', 'kipras': 'cyp', 'cypr': 'cyp', 'cipru': 'cyp', 'кипр': 'cyp', 'ไซปรัส': 'cyp', 'кіпр': 'cyp', '塞浦路斯': 'cyp', '賽普勒斯': 'cyp', 'جمهورية التشيك': 'cze', 'чехия': 'cze', 'česko': 'cze', 'tjekkiet': 'cze', 'tschechien': 'cze', 'τσεχία': 'cze', 'czechia': 'cze', 'ĉeĥio': 'cze', 'república checa': 'cze', 'tšehhi': 'cze', 'txekia': 'cze', 'tšekki': 'cze', 'tchéquie': 'cze', 'csehország': 'cze', 'չեխիա': 'cze', 'rep. ceca': 'cze', 'チェコ': 'cze', '체코': 'cze', 'čekija': 'cze', 'tsjechië': 'cze', 'tsjekkia': 'cze', 'czechy': 'cze', 'chéquia': 'cze', 'cehia': 'cze', 'tjeckien': 'cze', 'เช็กเกีย': 'cze', 'чехія': 'cze', '捷克': 'cze', 'الدنمارك': 'dnk', 'дания': 'dnk', 'dánsko': 'dnk', 'danmark': 'dnk', 'dänemark': 'dnk', 'δανία': 'dnk', 'denmark': 'dnk', 'danio': 'dnk', 'dinamarca': 'dnk', 'taani': 'dnk', 'danimarka': 'dnk', 'tanska': 'dnk', 'danemark': 'dnk', 'dánia': 'dnk', 'դանիա': 'dnk', 'danimarca': 'dnk', 'デンマーク': 'dnk', '덴마크': 'dnk', 'danija': 'dnk', 'denemarken': 'dnk', 'dania': 'dnk', 'danemarca': 'dnk', 'เดนมาร์ก': 'dnk', 'данія': 'dnk', '丹麦': 'dnk', '丹麥': 'dnk', 'جيبوتي': 'dji', 'джибути': 'dji', 'džibutsko': 'dji', 'djibouti': 'dji', 'dschibuti': 'dji', 'τζιμπουτί': 'dji', 'ĝibutio': 'dji', 'yibuti': 'dji', 'djibuti': 'dji', 'dzsibuti': 'dji', 'ջիբութի': 'dji', 'gibuti': 'dji', 'ジブチ': 'dji', '지부티': 'dji', 'džibutis': 'dji', 'dżibuti': 'dji', 'จิบูตี': 'dji', 'джибуті': 'dji', '吉布提': 'dji', '吉布地': 'dji', 'دومينيكا': 'dma', 'доминика': 'dma', 'dominika': 'dma', 'dominica': 'dma', 'δομινίκα': 'dma', 'dominiko': 'dma', 'dominique': 'dma', 'dominikai közösség': 'dma', 'դոմինիկա': 'dma', 'ドミニカ国': 'dma', '도미니카 연방': 'dma', 'ดอมินีกา': 'dma', 'домініка': 'dma', '多米尼克': 'dma', 'جمهورية الدومينيكان': 'dom', 'доминиканска република': 'dom', 'dominikánská republika': 'dom', 'dominikanske republik': 'dom', 'dominikanische republik': 'dom', 'δομινικανή δημοκρατία': 'dom', 'dominican republic': 'dom', 'dominika respubliko': 'dom', 'república dominicana': 'dom', 'dominikaani vabariik': 'dom', 'dominikar errepublika': 'dom', 'dominikaaninen tasavalta': 'dom', 'république dominicaine': 'dom', 'dominikai köztársaság': 'dom', 'դոմինիկյան հանրապետություն': 'dom', 'rep. dominicana': 'dom', 'ドミニカ共和国': 'dom', '도미니카 공화국': 'dom', 'dominikos respublika': 'dom', 'dominicaanse republiek': 'dom', 'den dominikanske republikk': 'dom', 'dominikana': 'dom', 'republica dominicană': 'dom', 'доминиканская республика': 'dom', 'dominikánska republika': 'dom', 'dominikanska republiken': 'dom', 'สาธารณรัฐโดมินิกัน': 'dom', 'домініканська республіка': 'dom', '多米尼加': 'dom', '多明尼加': 'dom', 'الإكوادور': 'ecu', 'еквадор': 'ecu', 'ekvádor': 'ecu', 'ecuador': 'ecu', 'ισημερινός': 'ecu', 'ekvadoro': 'ecu', 'ekuador': 'ecu', 'équateur': 'ecu', 'էկվադոր': 'ecu', 'エクアドル': 'ecu', '에콰도르': 'ecu', 'ekvadoras': 'ecu', 'ekwador': 'ecu', 'equador': 'ecu', 'эквадор': 'ecu', 'เอกวาดอร์': 'ecu', '厄瓜多尔': 'ecu', '厄瓜多': 'ecu', 'مصر': 'egy', 'египет': 'egy', 'egypt': 'egy', 'egypten': 'egy', 'ägypten': 'egy', 'αίγυπτος': 'egy', 'egiptio': 'egy', 'egipto': 'egy', 'egiptus': 'egy', 'egypti': 'egy', 'égypte': 'egy', 'egyiptom': 'egy', 'եգիպտոս': 'egy', 'egitto': 'egy', 'エジプト': 'egy', '이집트': 'egy', 'egiptas': 'egy', 'egypte': 'egy', 'egipt': 'egy', 'egito': 'egy', 'อียิปต์': 'egy', 'єгипет': 'egy', '埃及': 'egy', 'السلفادور': 'slv', 'салвадор': 'slv', 'salvador': 'slv', 'el salvador': 'slv', 'ελ σαλβαδόρ': 'slv', 'salvadoro': 'slv', 'սալվադոր': 'slv', 'エルサルバドル': 'slv', '엘살바도르': 'slv', 'salvadoras': 'slv', 'salwador': 'slv', 'сальвадор': 'slv', 'salvádor': 'slv', 'เอลซัลวาดอร์': 'slv', '萨尔瓦多': 'slv', '薩爾瓦多': 'slv', 'غينيا الاستوائية': 'gnq', 'екваториална гвинея': 'gnq', 'rovníková guinea': 'gnq', 'ækvatorialguinea': 'gnq', 'äquatorialguinea': 'gnq', 'ισημερινή γουινέα': 'gnq', 'equatorial guinea': 'gnq', 'ekvatora gvineo': 'gnq', 'guinea ecuatorial': 'gnq', 'ekvatoriaal-guinea': 'gnq', 'ekuatore ginea': 'gnq', 'päiväntasaajan guinea': 'gnq', 'guinée équatoriale': 'gnq', 'egyenlítői-guinea': 'gnq', 'հասարակածային գվինեա': 'gnq', 'guinea equatoriale': 'gnq', '赤道ギニア': 'gnq', '적도 기니': 'gnq', 'pusiaujo gvinėja': 'gnq', 'equatoriaal-guinea': 'gnq', 'ekvatorial-guinea': 'gnq', 'gwinea równikowa': 'gnq', 'guiné equatorial': 'gnq', 'guineea ecuatorială': 'gnq', 'экваториальная гвинея': 'gnq', 'ekvatorialguinea': 'gnq', 'อิเควทอเรียลกินี': 'gnq', 'екваторіальна гвінея': 'gnq', '赤道几内亚': 'gnq', '赤道幾內亞': 'gnq', 'إريتريا': 'eri', 'еритрея': 'eri', 'eritrea': 'eri', 'ερυθραία': 'eri', 'eritreo': 'eri', 'érythrée': 'eri', 'էրիտրեա': 'eri', 'エリトリア': 'eri', '에리트레아': 'eri', 'eritrėja': 'eri', 'erytrea': 'eri', 'eritreia': 'eri', 'eritreea': 'eri', 'эритрея': 'eri', 'เอริเทรีย': 'eri', '厄立特里亚': 'eri', '厄利垂亞': 'eri', 'إستونيا': 'est', 'естония': 'est', 'estonsko': 'est', 'estland': 'est', 'εσθονία': 'est', 'estonia': 'est', 'estonio': 'est', 'eesti': 'est', 'viro': 'est', 'estonie': 'est', 'észtország': 'est', 'էստոնիա': 'est', 'エストニア': 'est', '에스토니아': 'est', 'estija': 'est', 'estónia': 'est', 'эстония': 'est', 'estónsko': 'est', 'เอสโตเนีย': 'est', 'естонія': 'est', '爱沙尼亚': 'est', '愛沙尼亞': 'est', 'إثيوبيا': 'eth', 'етиопия': 'eth', 'etiopie': 'eth', 'etiopien': 'eth', 'äthiopien': 'eth', 'αιθιοπία': 'eth', 'ethiopia': 'eth', 'etiopio': 'eth', 'etiopía': 'eth', 'etioopia': 'eth', 'etiopia': 'eth', 'éthiopie': 'eth', 'etiópia': 'eth', 'եթովպիա': 'eth', 'エチオピア': 'eth', '에티오피아': 'eth', 'etiopija': 'eth', 'ethiopië': 'eth', 'эфиопия': 'eth', 'เอธิโอเปีย': 'eth', 'ефіопія': 'eth', '埃塞俄比亚': 'eth', '衣索比亞': 'eth', 'فيجي': 'fji', 'фиджи': 'fji', 'fidži': 'fji', 'fiji': 'fji', 'fidschi': 'fji', 'φίτζι': 'fji', 'fiĝio': 'fji', 'fiyi': 'fji', 'fidji': 'fji', 'fidzsi': 'fji', 'ֆիջի': 'fji', 'figi': 'fji', 'フィジー': 'fji', '피지': 'fji', 'fidžis': 'fji', 'fidżi': 'fji', 'ฟีจี': 'fji', 'фіджі': 'fji', '斐济': 'fji', '斐濟': 'fji', 'فنلندا': 'fin', 'финландия': 'fin', 'finsko': 'fin', 'finland': 'fin', 'finnland': 'fin', 'φινλανδία': 'fin', 'finnlando': 'fin', 'finlandia': 'fin', 'soome': 'fin', 'suomi': 'fin', 'finlande': 'fin', 'finnország': 'fin', 'ֆինլանդիա': 'fin', 'フィンランド': 'fin', '핀란드': 'fin', 'suomija': 'fin', 'finlândia': 'fin', 'finlanda': 'fin', 'финляндия': 'fin', 'fínsko': 'fin', 'ฟินแลนด์': 'fin', 'фінляндія': 'fin', '芬兰': 'fin', '芬蘭': 'fin', 'فرنسا': 'fra', 'франция': 'fra', 'francie': 'fra', 'frankrig': 'fra', 'frankreich': 'fra', 'γαλλία': 'fra', 'france': 'fra', 'francio': 'fra', 'francia': 'fra', 'prantsusmaa': 'fra', 'frantzia': 'fra', 'ranska': 'fra', 'franciaország': 'fra', 'ֆրանսիա': 'fra', 'フランス': 'fra', '프랑스': 'fra', 'prancūzija': 'fra', 'frankrijk': 'fra', 'frankrike': 'fra', 'francja': 'fra', 'frança': 'fra', 'franța': 'fra', 'francúzsko': 'fra', 'ฝรั่งเศส': 'fra', 'франція': 'fra', '法国': 'fra', '法國': 'fra', 'الغابون': 'gab', 'габон': 'gab', 'gabon': 'gab', 'gabun': 'gab', 'γκαμπόν': 'gab', 'gabono': 'gab', 'gabón': 'gab', 'գաբոն': 'gab', 'ガボン': 'gab', '가봉': 'gab', 'gabonas': 'gab', 'gabão': 'gab', 'กาบอง': 'gab', '加蓬': 'gab', '加彭': 'gab', 'غامبيا': 'gmb', 'гамбия': 'gmb', 'gambie': 'gmb', 'gambia': 'gmb', 'γκάμπια': 'gmb', 'gambio': 'gmb', 'գամբիա': 'gmb', 'ガンビア': 'gmb', '감비아': 'gmb', 'gambija': 'gmb', 'gâmbia': 'gmb', 'แกมเบีย': 'gmb', 'гамбія': 'gmb', '冈比亚': 'gmb', '甘比亞': 'gmb', 'جورجيا': 'geo', 'грузия': 'geo', 'gruzie': 'geo', 'georgien': 'geo', 'γεωργία': 'geo', 'georgia': 'geo', 'kartvelio': 'geo', 'gruusia': 'geo', 'géorgie': 'geo', 'grúzia': 'geo', 'վրաստան': 'geo', 'ジョージア': 'geo', '조지아': 'geo', 'gruzija': 'geo', 'georgië': 'geo', 'gruzja': 'geo', 'geórgia': 'geo', 'gruzínsko': 'geo', 'จอร์เจีย': 'geo', 'грузія': 'geo', '格鲁吉亚': 'geo', '喬治亞': 'geo', 'ألمانيا': 'deu', 'германия': 'deu', 'německo': 'deu', 'tyskland': 'deu', 'deutschland': 'deu', 'γερμανία': 'deu', 'germany': 'deu', 'germanio': 'deu', 'alemania': 'deu', 'saksamaa': 'deu', 'saksa': 'deu', 'allemagne': 'deu', 'németország': 'deu', 'գերմանիա': 'deu', 'germania': 'deu', 'ドイツ': 'deu', '독일': 'deu', 'vokietija': 'deu', 'duitsland': 'deu', 'niemcy': 'deu', 'alemanha': 'deu', 'nemecko': 'deu', 'เยอรมนี': 'deu', 'німеччина': 'deu', '德国': 'deu', '德國': 'deu', 'غانا': 'gha', 'гана': 'gha', 'ghana': 'gha', 'γκάνα': 'gha', 'ganao': 'gha', 'ghána': 'gha', 'գանա': 'gha', 'ガーナ': 'gha', '가나': 'gha', 'gana': 'gha', 'กานา': 'gha', '加纳': 'gha', '加納': 'gha', 'اليونان': 'grc', 'гърция': 'grc', 'řecko': 'grc', 'grækenland': 'grc', 'griechenland': 'grc', 'ελλάδα': 'grc', 'greece': 'grc', 'grekio': 'grc', 'grecia': 'grc', 'kreeka': 'grc', 'grezia': 'grc', 'kreikka': 'grc', 'grèce': 'grc', 'görögország': 'grc', 'հունաստան': 'grc', 'ギリシャ': 'grc', '그리스': 'grc', 'graikija': 'grc', 'griekenland': 'grc', 'hellas': 'grc', 'grecja': 'grc', 'grécia': 'grc', 'греция': 'grc', 'grécko': 'grc', 'grekland': 'grc', 'กรีซ': 'grc', 'греція': 'grc', '希腊': 'grc', '希臘': 'grc', 'غرينادا': 'grd', 'гренада': 'grd', 'grenada': 'grd', 'γρενάδα': 'grd', 'grenado': 'grd', 'granada': 'grd', 'grenade': 'grd', 'գրենադա': 'grd', 'グレナダ': 'grd', '그레나다': 'grd', 'เกรเนดา': 'grd', '格林纳达': 'grd', '格瑞那達': 'grd', 'غواتيمالا': 'gtm', 'гватемала': 'gtm', 'guatemala': 'gtm', 'γουατεμάλα': 'gtm', 'gvatemalo': 'gtm', 'գվատեմալա': 'gtm', 'グアテマラ': 'gtm', '과테말라': 'gtm', 'gvatemala': 'gtm', 'gwatemala': 'gtm', 'กัวเตมาลา': 'gtm', '危地马拉': 'gtm', '瓜地馬拉': 'gtm', 'غينيا': 'gin', 'гвинея': 'gin', 'guinea': 'gin', 'γουινέα': 'gin', 'gvineo': 'gin', 'ginea': 'gin', 'guinée': 'gin', 'գվինեա': 'gin', 'ギニア': 'gin', '기니': 'gin', 'gvinėja': 'gin', 'guinee': 'gin', 'gwinea': 'gin', 'guiné': 'gin', 'guineea': 'gin', 'กินี': 'gin', 'гвінея': 'gin', '几内亚': 'gin', '幾內亞': 'gin', 'غينيا بيساو': 'gnb', 'гвинея-бисау': 'gnb', 'guinea-bissau': 'gnb', 'γουινέα-μπισσάου': 'gnb', 'gvineo bisaŭa': 'gnb', 'guinea-bisáu': 'gnb', 'ginea-bissau': 'gnb', 'guinée-bissau': 'gnb', 'bissau-guinea': 'gnb', 'գվինեա-բիսաու': 'gnb', 'ギニアビサウ': 'gnb', '기니비사우': 'gnb', 'bisau gvinėja': 'gnb', 'guinee-bissau': 'gnb', 'gwinea bissau': 'gnb', 'guiné-bissau': 'gnb', 'guineea-bissau': 'gnb', 'กินี-บิสเซา': 'gnb', 'гвінея-бісау': 'gnb', '几内亚比绍': 'gnb', '幾內亞比索': 'gnb', 'غيانا': 'guy', 'гвиана': 'guy', 'guyana': 'guy', 'γουιάνα': 'guy', 'gujano': 'guy', 'գայանա': 'guy', 'ガイアナ': 'guy', '가이아나': 'guy', 'gajana': 'guy', 'gujana': 'guy', 'guiana': 'guy', 'гайана': 'guy', 'กายอานา': 'guy', 'гаяна': 'guy', '圭亚那': 'guy', '蓋亞那': 'guy', 'هايتي': 'hti', 'хаити': 'hti', 'haiti': 'hti', 'αϊτή': 'hti', 'haitio': 'hti', 'haití': 'hti', 'haïti': 'hti', 'հայիթի': 'hti', 'ハイチ': 'hti', '아이티': 'hti', 'haitis': 'hti', 'гаити': 'hti', 'เฮติ': 'hti', 'гаїті': 'hti', '海地': 'hti', 'هندوراس': 'hnd', 'хондурас': 'hnd', 'honduras': 'hnd', 'ονδούρα': 'hnd', 'honduro': 'hnd', 'հոնդուրաս': 'hnd', 'ホンジュラス': 'hnd', '온두라스': 'hnd', 'hondūras': 'hnd', 'гондурас': 'hnd', 'ฮอนดูรัส': 'hnd', '洪都拉斯': 'hnd', '宏都拉斯': 'hnd', 'المجر': 'hun', 'унгария': 'hun', 'maďarsko': 'hun', 'ungarn': 'hun', 'ουγγαρία': 'hun', 'hungary': 'hun', 'hungario': 'hun', 'hungría': 'hun', 'ungari': 'hun', 'hungaria': 'hun', 'unkari': 'hun', 'hongrie': 'hun', 'magyarország': 'hun', 'հունգարիա': 'hun', 'ungheria': 'hun', 'ハンガリー': 'hun', '헝가리': 'hun', 'vengrija': 'hun', 'hongarije': 'hun', 'węgry': 'hun', 'hungria': 'hun', 'ungaria': 'hun', 'венгрия': 'hun', 'ungern': 'hun', 'ฮังการี': 'hun', 'угорщина': 'hun', '匈牙利': 'hun', 'آيسلندا': 'isl', 'исландия': 'isl', 'island': 'isl', 'ισλανδία': 'isl', 'iceland': 'isl', 'islando': 'isl', 'islandia': 'isl', 'islanti': 'isl', 'islande': 'isl', 'izland': 'isl', 'իսլանդիա': 'isl', 'islanda': 'isl', 'アイスランド': 'isl', '아이슬란드': 'isl', 'islandija': 'isl', 'ijsland': 'isl', 'islândia': 'isl', 'ไอซ์แลนด์': 'isl', 'ісландія': 'isl', '冰岛': 'isl', '冰島': 'isl', 'الهند': 'ind', 'индия': 'ind', 'indie': 'ind', 'indien': 'ind', 'ινδία': 'ind', 'india': 'ind', 'barato': 'ind', 'intia': 'ind', 'inde': 'ind', 'հնդկաստան': 'ind', 'インド': 'ind', '인도': 'ind', 'indija': 'ind', 'índia': 'ind', 'อินเดีย': 'ind', 'індія': 'ind', '印度': 'ind', 'إندونيسيا': 'idn', 'индонезия': 'idn', 'indonésie': 'idn', 'indonesien': 'idn', 'ινδονησία': 'idn', 'indonesia': 'idn', 'indonezio': 'idn', 'indoneesia': 'idn', 'indonézia': 'idn', 'ինդոնեզիա': 'idn', 'インドネシア': 'idn', '인도네시아': 'idn', 'indonezija': 'idn', 'indonesië': 'idn', 'indonezja': 'idn', 'indonésia': 'idn', 'indonezia': 'idn', 'อินโดนีเซีย': 'idn', 'індонезія': 'idn', '印尼': 'idn', 'إيران': 'irn', 'иран': 'irn', 'írán': 'irn', 'iran': 'irn', 'ιράν': 'irn', 'iran (islamic republic of)': 'irn', 'irano': 'irn', 'irán': 'irn', 'iraan': 'irn', 'իրան': 'irn', 'イラン・イスラム共和国': 'irn', '이란': 'irn', 'iranas': 'irn', 'irão': 'irn', 'อิหร่าน': 'irn', 'іран': 'irn', '伊朗': 'irn', 'العراق': 'irq', 'ирак': 'irq', 'irák': 'irq', 'irak': 'irq', 'ιράκ': 'irq', 'iraq': 'irq', 'irako': 'irq', 'iraak': 'irq', 'իրաք': 'irq', 'イラク': 'irq', '이라크': 'irq', 'irakas': 'irq', 'iraque': 'irq', 'อิรัก': 'irq', 'ірак': 'irq', '伊拉克': 'irq', 'أيرلندا': 'irl', 'ирландия': 'irl', 'irsko': 'irl', 'irland': 'irl', 'ιρλανδία': 'irl', 'ireland': 'irl', 'irlando': 'irl', 'irlanda': 'irl', 'iirimaa': 'irl', 'irlandako errepublika': 'irl', 'irlanti': 'irl', 'irlande': 'irl', 'írország': 'irl', 'իռլանդիա': 'irl', 'アイルランド': 'irl', '아일랜드': 'irl', 'airija': 'irl', 'ierland': 'irl', 'irlandia': 'irl', 'republica irlanda': 'irl', 'írsko': 'irl', 'ไอร์แลนด์': 'irl', 'ірландія': 'irl', '爱尔兰': 'irl', '愛爾蘭': 'irl', 'إسرائيل': 'isr', 'израел': 'isr', 'izrael': 'isr', 'israel': 'isr', 'ισραήλ': 'isr', 'israelo': 'isr', 'iisrael': 'isr', 'israël': 'isr', 'իսրայել': 'isr', 'israele': 'isr', 'イスラエル': 'isr', '이스라엘': 'isr', 'izraelis': 'isr', 'израиль': 'isr', 'อิสราเอล': 'isr', 'ізраїль': 'isr', '以色列': 'isr', 'إيطاليا': 'ita', 'италия': 'ita', 'itálie': 'ita', 'italien': 'ita', 'ιταλία': 'ita', 'italy': 'ita', 'italio': 'ita', 'italia': 'ita', 'itaalia': 'ita', 'italie': 'ita', 'olaszország': 'ita', 'իտալիա': 'ita', 'イタリア': 'ita', '이탈리아': 'ita', 'italija': 'ita', 'italië': 'ita', 'włochy': 'ita', 'itália': 'ita', 'taliansko': 'ita', 'อิตาลี': 'ita', 'італія': 'ita', '意大利': 'ita', '義大利': 'ita', 'جامايكا': 'jam', 'ямайка': 'jam', 'jamajka': 'jam', 'jamaica': 'jam', 'jamaika': 'jam', 'τζαμάικα': 'jam', 'jamajko': 'jam', 'jamaïque': 'jam', 'ճամայկա': 'jam', 'giamaica': 'jam', 'ジャマイカ': 'jam', '자메이카': 'jam', 'จาเมกา': 'jam', '牙买加': 'jam', '牙買加': 'jam', 'اليابان': 'jpn', 'япония': 'jpn', 'japonsko': 'jpn', 'japan': 'jpn', 'ιαπωνία': 'jpn', 'japanio': 'jpn', 'japón': 'jpn', 'jaapan': 'jpn', 'japonia': 'jpn', 'japani': 'jpn', 'japon': 'jpn', 'japán': 'jpn', 'ճապոնիա': 'jpn', 'giappone': 'jpn', '日本': 'jpn', '일본': 'jpn', 'japonija': 'jpn', 'japão': 'jpn', 'ญี่ปุ่น': 'jpn', 'японія': 'jpn', 'الأردن': 'jor', 'йордания': 'jor', 'jordánsko': 'jor', 'jordan': 'jor', 'jordanien': 'jor', 'ιορδανία': 'jor', 'jordanio': 'jor', 'jordania': 'jor', 'jordaania': 'jor', 'jordanie': 'jor', 'jordánia': 'jor', 'հորդանան': 'jor', 'giordania': 'jor', 'ヨルダン': 'jor', '요르단': 'jor', 'jordanija': 'jor', 'jordanië': 'jor', 'jordânia': 'jor', 'iordania': 'jor', 'иордания': 'jor', 'จอร์แดน': 'jor', 'йорданія': 'jor', '约旦': 'jor', '約旦': 'jor', 'كازاخستان': 'kaz', 'казахстан': 'kaz', 'kazachstán': 'kaz', 'kasakhstan': 'kaz', 'kasachstan': 'kaz', 'καζακστάν': 'kaz', 'kazakhstan': 'kaz', 'kazaĥio': 'kaz', 'kazajistán': 'kaz', 'kasahstan': 'kaz', 'kazakstan': 'kaz', 'kazahsztán': 'kaz', 'ղազախստան': 'kaz', 'kazakistan': 'kaz', 'カザフスタン': 'kaz', '카자흐스탄': 'kaz', 'kazachstanas': 'kaz', 'kazachstan': 'kaz', 'cazaquistão': 'kaz', 'kazahstan': 'kaz', 'คาซัคสถาน': 'kaz', '哈萨克斯坦': 'kaz', '哈薩克': 'kaz', 'كينيا': 'ken', 'кения': 'ken', 'keňa': 'ken', 'kenya': 'ken', 'kenia': 'ken', 'κένυα': 'ken', 'kenjo': 'ken', 'keenia': 'ken', 'քենիա': 'ken', 'ケニア': 'ken', '케냐': 'ken', 'kenija': 'ken', 'quênia': 'ken', 'เคนยา': 'ken', 'кенія': 'ken', '肯尼亚': 'ken', '肯亞': 'ken', 'كيريباتي': 'kir', 'кирибати': 'kir', 'kiribati': 'kir', 'κιριμπάτι': 'kir', 'kiribato': 'kir', 'կիրիբատի': 'kir', 'キリバス': 'kir', '키리바시': 'kir', 'kiribatis': 'kir', 'quiribáti': 'kir', 'คิริบาส': 'kir', 'кірибаті': 'kir', '基里巴斯': 'kir', '吉里巴斯': 'kir', 'كوريا الشمالية': 'prk', 'северна корея': 'prk', 'severní korea': 'prk', 'nordkorea': 'prk', 'korea, nord': 'prk', 'βόρεια κορέα': 'prk', "korea (democratic people's republic of)": 'prk', 'nord-koreio': 'prk', 'corea del norte': 'prk', 'põhja-korea': 'prk', 'ipar korea': 'prk', 'korean demokraattinen kansantasavalta': 'prk', 'corée du nord': 'prk', 'észak-korea (koreai ndk)': 'prk', 'հյուսիսային կորեա': 'prk', 'corea del nord': 'prk', '朝鮮民主主義人民共和国': 'prk', '조선민주주의인민공화국': 'prk', 'šiaurės korėja': 'prk', 'noord-korea': 'prk', 'nord-korea': 'prk', 'korea północna': 'prk', 'coreia do norte': 'prk', 'coreea de nord': 'prk', 'кндр (корейская народно-демократическая республика)': 'prk', 'kórejská ľudovodemokratická republika': 'prk', 'เกาหลีเหนือ': 'prk', 'північна корея': 'prk', '朝鲜': 'prk', '北韓': 'prk', 'كوريا الجنوبية': 'kor', 'южна корея': 'kor', 'jižní korea': 'kor', 'sydkorea': 'kor', 'korea, süd': 'kor', 'νότια κορέα': 'kor', 'korea, republic of': 'kor', 'sud-koreio': 'kor', 'corea del sur': 'kor', 'lõuna-korea': 'kor', 'hego korea': 'kor', 'korean tasavalta': 'kor', 'corée du sud': 'kor', 'dél-korea (koreai köztársaság)': 'kor', 'հարավային կորեա': 'kor', 'corea del sud': 'kor', '大韓民国': 'kor', '대한민국': 'kor', 'pietų korėja': 'kor', 'zuid-korea': 'kor', 'sør-korea': 'kor', 'korea południowa': 'kor', 'coreia do sul': 'kor', 'coreea de sud': 'kor', 'республика корея': 'kor', 'kórejská republika': 'kor', 'เกาหลีใต้': 'kor', 'південна корея': 'kor', '韩国': 'kor', '南韓': 'kor', 'الكويت': 'kwt', 'кувейт': 'kwt', 'kuvajt': 'kwt', 'kuwait': 'kwt', 'κουβέιτ': 'kwt', 'kuvajto': 'kwt', 'kuveit': 'kwt', 'koweït': 'kwt', 'kuvait': 'kwt', 'քուվեյթ': 'kwt', 'クウェート': 'kwt', '쿠웨이트': 'kwt', 'kuveitas': 'kwt', 'koeweit': 'kwt', 'kuwejt': 'kwt', 'kuweit': 'kwt', 'คูเวต': 'kwt', '科威特': 'kwt', 'قيرغيزستان': 'kgz', 'киргизстан': 'kgz', 'kyrgyzstán': 'kgz', 'kirgisistan': 'kgz', 'κιργιζία': 'kgz', 'kyrgyzstan': 'kgz', 'kirgizio': 'kgz', 'kirguistán': 'kgz', 'kõrgõzstan': 'kgz', 'kirgizistan': 'kgz', 'kirgisia': 'kgz', 'kirghizistan': 'kgz', 'kirgizisztán': 'kgz', 'ղրղզստան': 'kgz', 'キルギス': 'kgz', '키르기스스탄': 'kgz', 'kirgizija': 'kgz', 'kirgizië': 'kgz', 'kirgistan': 'kgz', 'quirguistão': 'kgz', 'kârgâzstan': 'kgz', 'киргизия': 'kgz', 'kirgizsko': 'kgz', 'คีร์กีซสถาน': 'kgz', '吉尔吉斯斯坦': 'kgz', '吉爾吉斯': 'kgz', 'لاوس': 'lao', 'лаос': 'lao', 'laos': 'lao', 'λάος': 'lao', "lao people's democratic republic": 'lao', 'laoso': 'lao', 'laosz': 'lao', 'լաոս': 'lao', 'ラオス人民民主共和国': 'lao', '라오스': 'lao', 'laosas': 'lao', 'ลาว': 'lao', '老挝': 'lao', '寮國': 'lao', 'لاتفيا': 'lva', 'латвия': 'lva', 'lotyšsko': 'lva', 'letland': 'lva', 'lettland': 'lva', 'λεττονία': 'lva', 'latvia': 'lva', 'latvio': 'lva', 'letonia': 'lva', 'läti': 'lva', 'lettonie': 'lva', 'lettország': 'lva', 'լատվիա': 'lva', 'lettonia': 'lva', 'ラトビア': 'lva', '라트비아': 'lva', 'latvija': 'lva', 'łotwa': 'lva', 'letônia': 'lva', 'ลัตเวีย': 'lva', 'латвія': 'lva', '拉脱维亚': 'lva', '拉脫維亞': 'lva', 'لبنان': 'lbn', 'ливан': 'lbn', 'libanon': 'lbn', 'λίβανος': 'lbn', 'lebanon': 'lbn', 'libano': 'lbn', 'líbano': 'lbn', 'liibanon': 'lbn', 'liban': 'lbn', 'լիբանան': 'lbn', 'レバノン': 'lbn', '레바논': 'lbn', 'libanas': 'lbn', 'เลบานอน': 'lbn', 'ліван': 'lbn', '黎巴嫩': 'lbn', 'ليسوتو': 'lso', 'лесото': 'lso', 'lesotho': 'lso', 'λεσότο': 'lso', 'lesoto': 'lso', 'լեսոթո': 'lso', 'レソト': 'lso', '레소토': 'lso', 'lesotas': 'lso', 'เลโซโท': 'lso', '莱索托': 'lso', '賴索托': 'lso', 'ليبيريا': 'lbr', 'либерия': 'lbr', 'libérie': 'lbr', 'liberia': 'lbr', 'λιβερία': 'lbr', 'liberio': 'lbr', 'libeeria': 'lbr', 'libéria': 'lbr', 'լիբերիա': 'lbr', 'リベリア': 'lbr', '라이베리아': 'lbr', 'liberija': 'lbr', 'ไลบีเรีย': 'lbr', 'ліберія': 'lbr', '利比里亚': 'lbr', '賴比瑞亞': 'lbr', 'ليبيا': 'lby', 'либия': 'lby', 'libye': 'lby', 'libyen': 'lby', 'λιβύη': 'lby', 'libya': 'lby', 'libio': 'lby', 'libia': 'lby', 'liibüa': 'lby', 'líbia': 'lby', 'լիբիա': 'lby', 'リビア': 'lby', '리비아': 'lby', 'libija': 'lby', 'libië': 'lby', 'ливия': 'lby', 'líbya': 'lby', 'ลิเบีย': 'lby', 'лівія': 'lby', '利比亚': 'lby', '利比亞': 'lby', 'ليختنشتاين': 'lie', 'лихтенщайн': 'lie', 'lichtenštejnsko': 'lie', 'liechtenstein': 'lie', 'λίχτενσταϊν': 'lie', 'liĥtenŝtejno': 'lie', 'լիխտենշտայն': 'lie', 'リヒテンシュタイン': 'lie', '리히텐슈타인': 'lie', 'lichtenšteinas': 'lie', 'listenstaine': 'lie', 'лихтенштейн': 'lie', 'lichtenštajnsko': 'lie', 'ลิกเตนสไตน์': 'lie', 'ліхтенштейн': 'lie', '列支敦士登': 'lie', '列支敦斯登': 'lie', 'ليتوانيا': 'ltu', 'литва': 'ltu', 'litva': 'ltu', 'litauen': 'ltu', 'λιθουανία': 'ltu', 'lithuania': 'ltu', 'litovio': 'ltu', 'lituania': 'ltu', 'leedu': 'ltu', 'liettua': 'ltu', 'lituanie': 'ltu', 'litvánia': 'ltu', 'լիտվա': 'ltu', 'リトアニア': 'ltu', '리투아니아': 'ltu', 'lietuva': 'ltu', 'litouwen': 'ltu', 'litwa': 'ltu', 'lituânia': 'ltu', 'ลิทัวเนีย': 'ltu', '立陶宛': 'ltu', 'لوكسمبورغ': 'lux', 'люксембург': 'lux', 'lucembursko': 'lux', 'luxembourg': 'lux', 'luxemburg': 'lux', 'λουξεμβούργο': 'lux', 'luksemburgo': 'lux', 'luxemburgo': 'lux', 'luksemburg': 'lux', 'luxenburgo': 'lux', 'լյուքսեմբուրգ': 'lux', 'lussemburgo': 'lux', 'ルクセンブルク': 'lux', '룩셈부르크': 'lux', 'liuksemburgas': 'lux', 'luxembursko': 'lux', 'ลักเซมเบิร์ก': 'lux', '卢森堡': 'lux', '盧森堡': 'lux', 'مقدونيا': 'mkd', 'северна македония': 'mkd', 'severní makedonie': 'mkd', 'nordmakedonien': 'mkd', 'nordmazedonien': 'mkd', 'βόρεια μακεδονία': 'mkd', 'north macedonia': 'mkd', 'nord-makedonio': 'mkd', 'macedonia del norte': 'mkd', 'põhja-makedoonia': 'mkd', 'ipar mazedonia': 'mkd', 'pohjois-makedonia': 'mkd', 'macédoine du nord': 'mkd', 'észak-macedónia': 'mkd', 'հյուսիսային մակեդոնիա': 'mkd', 'macedonia del nord': 'mkd', '北マケドニア': 'mkd', '북마케도니아': 'mkd', 'makedonija': 'mkd', 'noord-macedonië': 'mkd', 'makedonia, republikken': 'mkd', 'macedonia północna': 'mkd', 'macedônia do norte': 'mkd', 'republica macedonia': 'mkd', 'северная македония': 'mkd', 'severné macedónsko': 'mkd', 'นอร์ทมาซิโดเนีย': 'mkd', 'північна македонія': 'mkd', '北马其顿': 'mkd', '北馬其頓': 'mkd', 'مدغشقر': 'mdg', 'мадагаскар': 'mdg', 'madagaskar': 'mdg', 'μαδαγασκάρη': 'mdg', 'madagascar': 'mdg', 'madagaskaro': 'mdg', 'madagaszkár': 'mdg', 'մադագասկար': 'mdg', 'マダガスカル': 'mdg', '마다가스카르': 'mdg', 'madagaskaras': 'mdg', 'madagáscar': 'mdg', 'มาดากัสการ์': 'mdg', '马达加斯加': 'mdg', '馬達加斯加': 'mdg', 'مالاوي': 'mwi', 'малави': 'mwi', 'malawi': 'mwi', 'μαλάουι': 'mwi', 'malavio': 'mwi', 'malaui': 'mwi', 'մալավի': 'mwi', 'マラウイ': 'mwi', '말라위': 'mwi', 'malavis': 'mwi', 'maláui': 'mwi', 'มาลาวี': 'mwi', 'малаві': 'mwi', '马拉维': 'mwi', '馬拉威': 'mwi', 'ماليزيا': 'mys', 'малайзия': 'mys', 'malajsie': 'mys', 'malaysia': 'mys', 'μαλαισία': 'mys', 'malajzio': 'mys', 'malasia': 'mys', 'malaisia': 'mys', 'malesia': 'mys', 'malaisie': 'mys', 'malajzia': 'mys', 'մալայզիա': 'mys', 'マレーシア': 'mys', '말레이시아': 'mys', 'malaizija': 'mys', 'maleisië': 'mys', 'malezja': 'mys', 'malásia': 'mys', 'malaezia': 'mys', 'มาเลเซีย': 'mys', 'малайзія': 'mys', '马来西亚': 'mys', '馬來西亞': 'mys', 'جزر المالديف': 'mdv', 'малдиви': 'mdv', 'maledivy': 'mdv', 'maldiverne': 'mdv', 'malediven': 'mdv', 'μαλδίβες': 'mdv', 'maldives': 'mdv', 'maldivoj': 'mdv', 'maldivas': 'mdv', 'maldiivid': 'mdv', 'maldivak': 'mdv', 'malediivit': 'mdv', 'maldív-szigetek': 'mdv', 'մալդիվներ': 'mdv', 'maldive': 'mdv', 'モルディブ': 'mdv', '몰디브': 'mdv', 'maldyvai': 'mdv', 'maldivene': 'mdv', 'malediwy': 'mdv', 'мальдивы': 'mdv', 'maldivy': 'mdv', 'maldiverna': 'mdv', 'มัลดีฟส์': 'mdv', 'мальдіви': 'mdv', '马尔代夫': 'mdv', '馬爾地夫': 'mdv', 'مالي': 'mli', 'мали': 'mli', 'mali': 'mli', 'μάλι': 'mli', 'malio': 'mli', 'malí': 'mli', 'մալի': 'mli', 'マリ': 'mli', '말리': 'mli', 'malis': 'mli', 'มาลี': 'mli', 'малі': 'mli', '马里': 'mli', '馬利': 'mli', 'مالطا': 'mlt', 'малта': 'mlt', 'malta': 'mlt', 'μάλτα': 'mlt', 'malto': 'mlt', 'malte': 'mlt', 'málta': 'mlt', 'մալթա': 'mlt', 'マルタ': 'mlt', '몰타': 'mlt', 'мальта': 'mlt', 'มอลตา': 'mlt', '马耳他': 'mlt', '馬爾他': 'mlt', 'جزر مارشال': 'mhl', 'маршалови острови': 'mhl', 'marshallovy ostrovy': 'mhl', 'marshalløerne': 'mhl', 'marshallinseln': 'mhl', 'νήσοι μάρσαλ': 'mhl', 'marshall islands': 'mhl', 'marŝala insularo': 'mhl', 'islas marshall': 'mhl', 'marshalli saared': 'mhl', 'marshall uharteak': 'mhl', 'marshallinsaaret': 'mhl', 'îles marshall': 'mhl', 'marshall-szigetek': 'mhl', 'մարշալյան կղզիներ': 'mhl', 'isole marshall': 'mhl', 'マーシャル諸島': 'mhl', '마셜 제도': 'mhl', 'maršalo salos': 'mhl', 'marshalleilanden': 'mhl', 'marshalløyene': 'mhl', 'wyspy marshalla': 'mhl', 'ilhas marshall': 'mhl', 'insulele marshall': 'mhl', 'маршалловы острова': 'mhl', 'marshallove ostrovy': 'mhl', 'marshallöarna': 'mhl', 'หมู่เกาะมาร์แชลล์': 'mhl', 'маршаллові острови': 'mhl', '马绍尔群岛': 'mhl', '馬紹爾群島': 'mhl', 'موريتانيا': 'mrt', 'мавритания': 'mrt', 'mauritánie': 'mrt', 'mauretanien': 'mrt', 'μαυριτανία': 'mrt', 'mauritania': 'mrt', 'maŭritanio': 'mrt', 'mauritaania': 'mrt', 'mauritanie': 'mrt', 'mauritánia': 'mrt', 'մավրիտանիա': 'mrt', 'モーリタニア': 'mrt', '모리타니': 'mrt', 'mauritanija': 'mrt', 'mauritanië': 'mrt', 'mauretania': 'mrt', 'mauritânia': 'mrt', 'มอริเตเนีย': 'mrt', 'мавританія': 'mrt', '毛里塔尼亚': 'mrt', '茅利塔尼亞': 'mrt', 'موريشيوس': 'mus', 'мавриций': 'mus', 'mauricius': 'mus', 'mauritius': 'mus', 'μαυρίκιος': 'mus', 'maŭricio': 'mus', 'mauricio': 'mus', 'maurizio': 'mus', 'maurice': 'mus', 'մավրիկիոս': 'mus', 'モーリシャス': 'mus', '모리셔스': 'mus', 'mauricijus': 'mus', 'maurícia': 'mus', 'маврикий': 'mus', 'maurícius': 'mus', 'มอริเชียส': 'mus', 'маврикій': 'mus', '毛里求斯': 'mus', '模里西斯': 'mus', 'المكسيك': 'mex', 'мексико': 'mex', 'mexiko': 'mex', 'mexico': 'mex', 'μεξικό': 'mex', 'meksiko': 'mex', 'méxico': 'mex', 'mehhiko': 'mex', 'mexique': 'mex', 'mexikó': 'mex', 'մեքսիկա': 'mex', 'messico': 'mex', 'メキシコ': 'mex', '멕시코': 'mex', 'meksika': 'mex', 'meksyk': 'mex', 'mexic': 'mex', 'мексика': 'mex', 'เม็กซิโก': 'mex', '墨西哥': 'mex', 'ولايات ميكرونيسيا المتحدة': 'fsm', 'микронезия': 'fsm', 'mikronésie': 'fsm', 'mikronesien': 'fsm', 'ομόσπονδες πολιτείες της μικρονησίας': 'fsm', 'micronesia (federated states of)': 'fsm', 'federacio de mikronezio': 'fsm', 'micronesia': 'fsm', 'mikroneesia liiduriigid': 'fsm', 'mikronesiako estatu federatuak': 'fsm', 'mikronesian liittovaltio': 'fsm', 'états fédérés de micronésie': 'fsm', 'mikronézia': 'fsm', 'միկրոնեզիա': 'fsm', 'ミクロネシア連邦': 'fsm', '미크로네시아 연방': 'fsm', 'mikronezija': 'fsm', 'micronesië': 'fsm', 'mikronesiaføderasjonen': 'fsm', 'mikronezja': 'fsm', 'estados federados da micronésia': 'fsm', 'micronezia': 'fsm', 'mikronesiska federationen': 'fsm', 'ไมโครนีเซีย': 'fsm', 'федеративні штати мікронезії': 'fsm', '密克罗尼西亚联邦': 'fsm', '密克羅尼西亞聯邦': 'fsm', 'المغرب': 'mar', 'мароко': 'mar', 'maroko': 'mar', 'marokko': 'mar', 'μαρόκο': 'mar', 'morocco': 'mar', 'marruecos': 'mar', 'maroc': 'mar', 'marokkó': 'mar', 'մարոկկո': 'mar', 'marocco': 'mar', 'モロッコ': 'mar', '모로코': 'mar', 'marokas': 'mar', 'marrocos': 'mar', 'марокко': 'mar', 'marocko': 'mar', 'โมร็อกโก': 'mar', '摩洛哥': 'mar', 'مولدوفا': 'mda', 'молдова': 'mda', 'moldavsko': 'mda', 'moldova': 'mda', 'moldau': 'mda', 'μολδαβία': 'mda', 'moldova, republic of': 'mda', 'moldavio': 'mda', 'moldavia': 'mda', 'moldavie': 'mda', 'մոլդովա': 'mda', 'モルドバ共和国': 'mda', '몰도바': 'mda', 'moldavija': 'mda', 'moldavië': 'mda', 'mołdawia': 'mda', 'moldávia': 'mda', 'republica moldova': 'mda', 'молдавия': 'mda', 'moldavien': 'mda', 'มอลโดวา': 'mda', '摩尔多瓦': 'mda', '摩爾多瓦': 'mda', 'موناكو': 'mco', 'монако': 'mco', 'monako': 'mco', 'monaco': 'mco', 'μονακό': 'mco', 'mónaco': 'mco', 'մոնակո': 'mco', 'モナコ': 'mco', '모나코': 'mco', 'monakas': 'mco', 'โมนาโก': 'mco', '摩纳哥': 'mco', '摩納哥': 'mco', 'منغوليا': 'mng', 'монголия': 'mng', 'mongolsko': 'mng', 'mongoliet': 'mng', 'mongolei': 'mng', 'μογγολία': 'mng', 'mongolia': 'mng', 'mongolio': 'mng', 'mongoolia': 'mng', 'mongolie': 'mng', 'mongólia': 'mng', 'մոնղոլիա': 'mng', 'モンゴル': 'mng', '몽골': 'mng', 'mongolija': 'mng', 'mongolië': 'mng', 'มองโกเลีย': 'mng', 'монголія': 'mng', '蒙古': 'mng', 'الجبل الأسود': 'mne', 'черна гора': 'mne', 'černá hora': 'mne', 'montenegro': 'mne', 'μαυροβούνιο': 'mne', 'monténégro': 'mne', 'montenegró': 'mne', 'չեռնոգորիա': 'mne', 'モンテネグロ': 'mne', '몬테네그로': 'mne', 'juodkalnija': 'mne', 'czarnogóra': 'mne', 'muntenegru': 'mne', 'черногория': 'mne', 'čierna hora': 'mne', 'มอนเตเนโกร': 'mne', 'чорногорія': 'mne', '黑山': 'mne', '蒙特內哥羅': 'mne', 'موزمبيق': 'moz', 'мозамбик': 'moz', 'mosambik': 'moz', 'mozambique': 'moz', 'μοζαμβίκη': 'moz', 'mozambiko': 'moz', 'mosambiik': 'moz', 'mozambike': 'moz', 'mozambik': 'moz', 'մոզամբիկ': 'moz', 'mozambico': 'moz', 'モザンビーク': 'moz', '모잠비크': 'moz', 'mozambikas': 'moz', 'moçambique': 'moz', 'mozambic': 'moz', 'โมซัมบิก': 'moz', 'мозамбік': 'moz', '莫桑比克': 'moz', '莫三比克': 'moz', 'ميانمار': 'mmr', 'мианмар': 'mmr', 'myanmar': 'mmr', 'burma': 'mmr', 'μιανμάρ': 'mmr', 'birmo': 'mmr', 'birmania': 'mmr', 'birma': 'mmr', 'birmanie': 'mmr', 'mianmar': 'mmr', 'մյանմա': 'mmr', 'ミャンマー': 'mmr', '미얀마': 'mmr', 'mianmaras': 'mmr', 'mjanma': 'mmr', 'мьянма': 'mmr', 'mjanmarsko': 'mmr', 'พม่า': 'mmr', "м'янма": 'mmr', '缅甸': 'mmr', '緬甸': 'mmr', 'ناميبيا': 'nam', 'намибия': 'nam', 'namibie': 'nam', 'namibia': 'nam', 'ναμίμπια': 'nam', 'namibio': 'nam', 'namiibia': 'nam', 'namíbia': 'nam', 'նամիբիա': 'nam', 'ナミビア': 'nam', '나미비아': 'nam', 'namibija': 'nam', 'namibië': 'nam', 'นามิเบีย': 'nam', 'намібія': 'nam', '纳米比亚': 'nam', '納米比亞': 'nam', 'ناورو': 'nru', 'науру': 'nru', 'nauru': 'nru', 'ναουρού': 'nru', 'nauro': 'nru', 'նաուրու': 'nru', 'ナウル': 'nru', '나우루': 'nru', 'นาอูรู': 'nru', '瑙鲁': 'nru', '諾魯': 'nru', 'نيبال': 'npl', 'непал': 'npl', 'nepál': 'npl', 'nepal': 'npl', 'νεπάλ': 'npl', 'nepalo': 'npl', 'népal': 'npl', 'նեպալ': 'npl', 'ネパール': 'npl', '네팔': 'npl', 'nepalas': 'npl', 'เนปาล': 'npl', '尼泊尔': 'npl', '尼泊爾': 'npl', 'هولندا': 'nld', 'нидерландия': 'nld', 'nizozemsko': 'nld', 'holland': 'nld', 'niederlande': 'nld', 'ολλανδία (κάτω χώρες)': 'nld', 'netherlands': 'nld', 'nederlando': 'nld', 'países bajos': 'nld', 'herbehereak': 'nld', 'alankomaat': 'nld', 'pays-bas': 'nld', 'hollandia': 'nld', 'նիդերլանդներ': 'nld', 'paesi bassi': 'nld', 'オランダ': 'nld', '네덜란드': 'nld', 'nyderlandai': 'nld', 'nederland': 'nld', 'holandia': 'nld', 'países baixos': 'nld', 'țările de jos': 'nld', 'нидерланды': 'nld', 'holandsko': 'nld', 'nederländerna': 'nld', 'เนเธอร์แลนด์': 'nld', 'нідерланди': 'nld', '荷兰': 'nld', '荷蘭': 'nld', 'نيوزيلندا': 'nzl', 'нова зеландия': 'nzl', 'nový zéland': 'nzl', 'new zealand': 'nzl', 'neuseeland': 'nzl', 'νέα ζηλανδία': 'nzl', 'nov-zelando': 'nzl', 'nueva zelanda': 'nzl', 'uus-meremaa': 'nzl', 'zeelanda berria': 'nzl', 'uusi-seelanti': 'nzl', 'nouvelle-zélande': 'nzl', 'új-zéland': 'nzl', 'նոր զելանդիա': 'nzl', 'nuova zelanda': 'nzl', 'ニュージーランド': 'nzl', '뉴질랜드': 'nzl', 'naujoji zelandija': 'nzl', 'nieuw-zeeland': 'nzl', 'nowa zelandia': 'nzl', 'nova zelândia': 'nzl', 'noua zeelandă': 'nzl', 'новая зеландия': 'nzl', 'nya zeeland': 'nzl', 'นิวซีแลนด์': 'nzl', 'нова зеландія': 'nzl', '新西兰': 'nzl', '紐西蘭': 'nzl', 'نيكاراغوا': 'nic', 'никарагуа': 'nic', 'nikaragua': 'nic', 'nicaragua': 'nic', 'νικαράγουα': 'nic', 'nikaragvo': 'nic', 'նիկարագուա': 'nic', 'ニカラグア': 'nic', '니카라과': 'nic', 'nikaragva': 'nic', 'nicarágua': 'nic', 'นิการากัว': 'nic', 'нікарагуа': 'nic', '尼加拉瓜': 'nic', 'النيجر': 'ner', 'нигер': 'ner', 'niger': 'ner', 'νίγηρας': 'ner', 'niĝero': 'ner', 'níger': 'ner', 'նիգեր': 'ner', 'ニジェール': 'ner', '니제르': 'ner', 'nigeris': 'ner', 'ไนเจอร์': 'ner', 'нігер': 'ner', '尼日尔': 'ner', '尼日': 'ner', 'نيجيريا': 'nga', 'нигерия': 'nga', 'nigérie': 'nga', 'nigeria': 'nga', 'νιγηρία': 'nga', 'niĝerio': 'nga', 'nigeeria': 'nga', 'nigéria': 'nga', 'նիգերիա': 'nga', 'ナイジェリア': 'nga', '나이지리아': 'nga', 'nigerija': 'nga', 'ไนจีเรีย': 'nga', 'нігерія': 'nga', '尼日利亚': 'nga', '奈及利亞': 'nga', 'النرويج': 'nor', 'норвегия': 'nor', 'norsko': 'nor', 'norge': 'nor', 'norwegen': 'nor', 'νορβηγία': 'nor', 'norway': 'nor', 'norvegio': 'nor', 'noruega': 'nor', 'norra': 'nor', 'norvegia': 'nor', 'norja': 'nor', 'norvège': 'nor', 'norvégia': 'nor', 'նորվեգիա': 'nor', 'ノルウェー': 'nor', '노르웨이': 'nor', 'norvegija': 'nor', 'noorwegen': 'nor', 'norwegia': 'nor', 'nórsko': 'nor', 'นอร์เวย์': 'nor', 'норвегія': 'nor', '挪威': 'nor', 'عمان': 'omn', 'оман': 'omn', 'omán': 'omn', 'oman': 'omn', 'ομάν': 'omn', 'omano': 'omn', 'omaan': 'omn', 'օման': 'omn', 'オマーン': 'omn', '오만': 'omn', 'omanas': 'omn', 'omã': 'omn', 'โอมาน': 'omn', '阿曼': 'omn', 'باكستان': 'pak', 'пакистан': 'pak', 'pákistán': 'pak', 'pakistan': 'pak', 'πακιστάν': 'pak', 'pakistano': 'pak', 'pakistán': 'pak', 'pakisztán': 'pak', 'պակիստան': 'pak', 'パキスタン': 'pak', '파키스탄': 'pak', 'pakistanas': 'pak', 'paquistão': 'pak', 'ปากีสถาน': 'pak', '巴基斯坦': 'pak', 'بالاو': 'plw', 'палау': 'plw', 'palau': 'plw', 'παλάου': 'plw', 'palaŭo': 'plw', 'palaos': 'plw', 'belau': 'plw', 'պալաու': 'plw', 'パラオ': 'plw', '팔라우': 'plw', 'ปาเลา': 'plw', '帕劳': 'plw', '帛琉': 'plw', 'بنما': 'pan', 'панама': 'pan', 'panama': 'pan', 'παναμάς': 'pan', 'panamo': 'pan', 'panamá': 'pan', 'պանամա': 'pan', 'パナマ': 'pan', '파나마': 'pan', 'ปานามา': 'pan', '巴拿马': 'pan', '巴拿馬': 'pan', 'بابوا غينيا الجديدة': 'png', 'папуа нова гвинея': 'png', 'papua nová guinea': 'png', 'papua ny guinea': 'png', 'papua-neuguinea': 'png', 'παπούα νέα γουινέα': 'png', 'papua new guinea': 'png', 'papuo-nov-gvineo': 'png', 'papúa nueva guinea': 'png', 'paapua uus-guinea': 'png', 'papua ginea berria': 'png', 'papua-uusi-guinea': 'png', 'papouasie-nouvelle-guinée': 'png', 'pápua új-guinea': 'png', 'պապուա նոր գվինեա': 'png', 'papua nuova guinea': 'png', 'パプアニューギニア': 'png', '파푸아뉴기니': 'png', 'papua naujoji gvinėja': 'png', 'papoea-nieuw-guinea': 'png', 'papua ny-guinea': 'png', 'papua-nowa gwinea': 'png', 'papua-nova guiné': 'png', 'papua noua guinee': 'png', 'папуа — новая гвинея': 'png', 'papua-nová guinea': 'png', 'papua nya guinea': 'png', 'ปาปัวนิวกินี': 'png', 'папуа нова гвінея': 'png', '巴布亚新几内亚': 'png', '巴布亞紐幾內亞': 'png', 'باراغواي': 'pry', 'парагвай': 'pry', 'paraguay': 'pry', 'παραγουάη': 'pry', 'paragvajo': 'pry', 'paraguai': 'pry', 'պարագվայ': 'pry', 'パラグアイ': 'pry', '파라과이': 'pry', 'paragvajus': 'pry', 'paragwaj': 'pry', 'paraguaj': 'pry', 'ปารากวัย': 'pry', '巴拉圭': 'pry', 'بيرو': 'per', 'перу': 'per', 'peru': 'per', 'περού': 'per', 'peruo': 'per', 'perú': 'per', 'peruu': 'per', 'pérou': 'per', 'պերու': 'per', 'perù': 'per', 'ペルー': 'per', '페루': 'per', 'เปรู': 'per', '秘鲁': 'per', '秘魯': 'per', 'الفلبين': 'phl', 'филипини': 'phl', 'filipíny': 'phl', 'filippinerne': 'phl', 'philippinen': 'phl', 'φιλιππίνες': 'phl', 'philippines': 'phl', 'filipinoj': 'phl', 'filipinas': 'phl', 'filipiinid': 'phl', 'filipinak': 'phl', 'filippiinit': 'phl', 'fülöp-szigetek': 'phl', 'ֆիլիպիններ': 'phl', 'filippine': 'phl', 'フィリピン': 'phl', '필리핀': 'phl', 'filipinai': 'phl', 'filipijnen': 'phl', 'filippinene': 'phl', 'filipiny': 'phl', 'filipine': 'phl', 'филиппины': 'phl', 'filippinerna': 'phl', 'ฟิลิปปินส์': 'phl', 'філіппіни': 'phl', '菲律宾': 'phl', '菲律賓': 'phl', 'بولندا': 'pol', 'полша': 'pol', 'polsko': 'pol', 'polen': 'pol', 'πολωνία': 'pol', 'poland': 'pol', 'pollando': 'pol', 'polonia': 'pol', 'poola': 'pol', 'puola': 'pol', 'pologne': 'pol', 'lengyelország': 'pol', 'լեհաստան': 'pol', 'ポーランド': 'pol', '폴란드': 'pol', 'lenkija': 'pol', 'polska': 'pol', 'polónia': 'pol', 'польша': 'pol', 'poľsko': 'pol', 'โปแลนด์': 'pol', 'польща': 'pol', '波兰': 'pol', '波蘭': 'pol', 'البرتغال': 'prt', 'португалия': 'prt', 'portugalsko': 'prt', 'portugal': 'prt', 'πορτογαλία': 'prt', 'portugalio': 'prt', 'portugali': 'prt', 'portugália': 'prt', 'պորտուգալիա': 'prt', 'portogallo': 'prt', 'ポルトガル': 'prt', '포르투갈': 'prt', 'portugalija': 'prt', 'portugalia': 'prt', 'โปรตุเกส': 'prt', 'португалія': 'prt', '葡萄牙': 'prt', 'قطر': 'qat', 'катар': 'qat', 'katar': 'qat', 'qatar': 'qat', 'κατάρ': 'qat', 'kataro': 'qat', 'catar': 'qat', 'կատար': 'qat', 'カタール': 'qat', '카타르': 'qat', 'kataras': 'qat', 'กาตาร์': 'qat', '卡塔尔': 'qat', '卡達': 'qat', 'رومانيا': 'rou', 'румъния': 'rou', 'rumunsko': 'rou', 'rumænien': 'rou', 'rumänien': 'rou', 'ρουμανία': 'rou', 'romania': 'rou', 'rumanio': 'rou', 'rumania': 'rou', 'rumeenia': 'rou', 'errumania': 'rou', 'roumanie': 'rou', 'románia': 'rou', 'ռումինիա': 'rou', 'ルーマニア': 'rou', '루마니아': 'rou', 'rumunija': 'rou', 'roemenië': 'rou', 'rumunia': 'rou', 'roménia': 'rou', 'românia': 'rou', 'румыния': 'rou', 'โรมาเนีย': 'rou', 'румунія': 'rou', '罗马尼亚': 'rou', '羅馬尼亞': 'rou', 'روسيا': 'rus', 'русия': 'rus', 'rusko': 'rus', 'rusland': 'rus', 'russland': 'rus', 'ρωσία': 'rus', 'russian federation': 'rus', 'rusio': 'rus', 'rusia': 'rus', 'venemaa': 'rus', 'errusia': 'rus', 'venäjä': 'rus', 'russie': 'rus', 'oroszország': 'rus', 'ռուսաստան': 'rus', 'russia': 'rus', 'ロシア連邦': 'rus', '러시아': 'rus', 'rusija': 'rus', 'rosja': 'rus', 'rússia': 'rus', 'россия': 'rus', 'ryssland': 'rus', 'รัสเซีย': 'rus', 'росія': 'rus', '俄罗斯': 'rus', '俄羅斯': 'rus', 'رواندا': 'rwa', 'руанда': 'rwa', 'rwanda': 'rwa', 'ruanda': 'rwa', 'ρουάντα': 'rwa', 'ruando': 'rwa', 'ռուանդա': 'rwa', 'ルワンダ': 'rwa', '르완다': 'rwa', 'รวันดา': 'rwa', '卢旺达': 'rwa', '盧安達': 'rwa', 'سانت كيتس ونيفيس': 'kna', 'сейнт китс и невис': 'kna', 'svatý kryštof a nevis': 'kna', 'saint kitts og nevis': 'kna', 'st. kitts und nevis': 'kna', 'άγιος χριστόφορος και νέβις': 'kna', 'saint kitts and nevis': 'kna', 'sankta-kito kaj neviso': 'kna', 'san cristóbal y nieves': 'kna', 'saint kitts ja nevis': 'kna', 'saint kitts eta nevis': 'kna', 'saint-christophe-et-niévès': 'kna', 'saint kitts és nevis': 'kna', 'սենտ կիտս և նևիս': 'kna', 'saint kitts e nevis': 'kna', 'セントクリストファー・ネイビス': 'kna', '세인트키츠 네비스': 'kna', 'sent kitsas ir nevis': 'kna', 'saint kitts en nevis': 'kna', 'saint kitts i nevis': 'kna', 'são cristóvão e neves': 'kna', 'sfântul kitts și nevis': 'kna', 'сент-китс и невис': 'kna', 'svätý krištof a nevis': 'kna', 'saint kitts och nevis': 'kna', 'เซนต์คิตส์และเนวิส': 'kna', 'сент-кіттс і невіс': 'kna', '圣基茨和尼维斯': 'kna', '聖克里斯多福及尼維斯': 'kna', 'سانت لوسيا': 'lca', 'сейнт лусия': 'lca', 'svatá lucie': 'lca', 'saint lucia': 'lca', 'st. lucia': 'lca', 'αγία λουκία': 'lca', 'sankta lucio': 'lca', 'santa lucía': 'lca', 'santa luzia': 'lca', 'sainte-lucie': 'lca', 'սենթ լյուսիա': 'lca', 'セントルシア': 'lca', '세인트루시아': 'lca', 'sent lusija': 'lca', 'santa lúcia': 'lca', 'sfânta lucia': 'lca', 'сент-люсия': 'lca', 'svätá lucia': 'lca', 'เซนต์ลูเชีย': 'lca', 'сент-люсія': 'lca', '圣卢西亚': 'lca', '聖露西亞': 'lca', 'سانت فينسنت والغرينادين': 'vct', 'сейнт винсент и гренадини': 'vct', 'svatý vincenc a grenadiny': 'vct', 'saint vincent og grenadinerne': 'vct', 'st. vincent und die grenadinen': 'vct', 'άγιος βικέντιος και γρεναδίνες': 'vct', 'saint vincent and the grenadines': 'vct', 'sankta vincento kaj la grenadinoj': 'vct', 'san vicente y las granadinas': 'vct', 'saint vincent ja grenadiinid': 'vct', 'saint vincent eta grenadinak': 'vct', 'saint vincent ja grenadiinit': 'vct', 'saint-vincent-et-les-grenadines': 'vct', 'saint vincent és a grenadine-szigetek': 'vct', 'սենտ վինսենտ և գրենադիներ': 'vct', 'saint vincent e grenadine': 'vct', 'セントビンセントおよびグレナディーン諸島': 'vct', '세인트빈센트 그레나딘': 'vct', 'sent vinsentas ir grenadinai': 'vct', 'saint vincent en de grenadines': 'vct', 'saint vincent og grenadinene': 'vct', 'saint vincent i grenadyny': 'vct', 'são vicente e granadinas': 'vct', 'sfântul vincent și grenadine': 'vct', 'сент-винсент и гренадины': 'vct', 'svätý vincent a grenadíny': 'vct', 'saint vincent och grenadinerna': 'vct', 'เซนต์วินเซนต์และเกรนาดีนส์': 'vct', 'сент-вінсент і гренадини': 'vct', '圣文森特和格林纳丁斯': 'vct', '聖文森及格瑞那丁': 'vct', 'ساموا': 'wsm', 'самоа': 'wsm', 'samoa': 'wsm', 'σαμόα': 'wsm', 'samoo': 'wsm', 'szamoa': 'wsm', 'սամոա': 'wsm', 'サモア': 'wsm', '사모아': 'wsm', 'ซามัว': 'wsm', '萨摩亚': 'wsm', '薩摩亞': 'wsm', 'سان مارينو': 'smr', 'сан марино': 'smr', 'san marino': 'smr', 'άγιος μαρίνος': 'smr', 'san-marino': 'smr', 'saint-marin': 'smr', 'սան մարինո': 'smr', 'サンマリノ': 'smr', '산마리노': 'smr', 'san marinas': 'smr', 'сан-марино': 'smr', 'san maríno': 'smr', 'ซานมารีโน': 'smr', '圣马力诺': 'smr', '聖馬利諾': 'smr', 'ساو تومي وبرينسيب': 'stp', 'сао томе и принсипи': 'stp', 'svatý tomáš a princův ostrov': 'stp', 'são tomé og príncipe': 'stp', 'são tomé und príncipe': 'stp', 'σάο τομέ και πρίνσιπε': 'stp', 'sao tome and principe': 'stp', 'santomeo kaj principeo': 'stp', 'santo tomé y príncipe': 'stp', 'são tomé ja príncipe': 'stp', 'sao tome eta principe': 'stp', 'sao tomé-et-principe': 'stp', 'são tomé és príncipe': 'stp', 'սան տոմե և պրինսիպի': 'stp', 'são tomé e príncipe': 'stp', 'サントメ・プリンシペ': 'stp', '상투메 프린시페': 'stp', 'san tomė ir prinsipė': 'stp', 'sao tomé en principe': 'stp', 'wyspy świętego tomasza i książęca': 'stp', 'sao tome și principe': 'stp', 'сан-томе и принсипи': 'stp', 'svätý tomáš a princov ostrov': 'stp', 'são tomé och príncipe': 'stp', 'เซาตูเมและปรินซีปี': 'stp', 'сан-томе і принсіпі': 'stp', '圣多美和普林西比': 'stp', '聖多美普林西比': 'stp', 'السعودية': 'sau', 'саудитска арабия': 'sau', 'saúdská arábie': 'sau', 'saudi-arabien': 'sau', 'σαουδική αραβία': 'sau', 'saudi arabia': 'sau', 'sauda arabio': 'sau', 'arabia saudita': 'sau', 'saudi araabia': 'sau', 'saudi-arabia': 'sau', 'arabie saoudite': 'sau', 'szaúd-arábia': 'sau', 'սաուդյան արաբիա': 'sau', 'サウジアラビア': 'sau', '사우디아라비아': 'sau', 'saudo arabija': 'sau', 'saoedi-arabië': 'sau', 'arabia saudyjska': 'sau', 'arábia saudita': 'sau', 'arabia saudită': 'sau', 'саудовская аравия': 'sau', 'saudská arábia': 'sau', 'saudiarabien': 'sau', 'ซาอุดีอาระเบีย': 'sau', 'саудівська аравія': 'sau', '沙特阿拉伯': 'sau', '沙烏地阿拉伯': 'sau', 'السنغال': 'sen', 'сенегал': 'sen', 'senegal': 'sen', 'σενεγάλη': 'sen', 'senegalo': 'sen', 'sénégal': 'sen', 'szenegál': 'sen', 'սենեգալ': 'sen', 'セネガル': 'sen', '세네갈': 'sen', 'senegalas': 'sen', 'เซเนกัล': 'sen', '塞内加尔': 'sen', '塞內加爾': 'sen', 'صربيا': 'srb', 'сърбия': 'srb', 'srbsko': 'srb', 'serbien': 'srb', 'σερβία': 'srb', 'serbia': 'srb', 'serbio': 'srb', 'serbie': 'srb', 'szerbia': 'srb', 'սերբիա': 'srb', 'セルビア': 'srb', '세르비아': 'srb', 'serbija': 'srb', 'servië': 'srb', 'sérvia': 'srb', 'сербия': 'srb', 'เซอร์เบีย': 'srb', 'сербія': 'srb', '塞尔维亚': 'srb', '塞爾維亞': 'srb', 'سيشل': 'syc', 'сейшелски острови': 'syc', 'seychely': 'syc', 'seychellerne': 'syc', 'seychellen': 'syc', 'σεϋχέλλες': 'syc', 'seychelles': 'syc', 'sejŝeloj': 'syc', 'seišellid': 'syc', 'seychelleak': 'syc', 'seychellit': 'syc', 'seychelle-szigetek': 'syc', 'սեյշելներ': 'syc', 'セーシェル': 'syc', '세이셸': 'syc', 'seišeliai': 'syc', 'seychellene': 'syc', 'seszele': 'syc', 'seicheles': 'syc', 'сейшельские острова': 'syc', 'seychellerna': 'syc', 'เซเชลส์': 'syc', 'сейшельські острови': 'syc', '塞舌尔': 'syc', '塞席爾': 'syc', 'سيراليون': 'sle', 'сиера леоне': 'sle', 'sierra leone': 'sle', 'σιέρα λεόνε': 'sle', 'sieraleono': 'sle', 'sierra leona': 'sle', 'սիեռա լեոնե': 'sle', 'シエラレオネ': 'sle', '시에라리온': 'sle', 'siera leonė': 'sle', 'serra leoa': 'sle', 'сьерра-леоне': 'sle', 'เซียร์ราลีโอน': 'sle', 'сьєрра-леоне': 'sle', '塞拉利昂': 'sle', '獅子山': 'sle', 'سنغافورة': 'sgp', 'сингапур': 'sgp', 'singapur': 'sgp', 'singapore': 'sgp', 'σιγκαπούρη': 'sgp', 'singapuro': 'sgp', 'singapour': 'sgp', 'szingapúr': 'sgp', 'սինգապուր': 'sgp', 'シンガポール': 'sgp', '싱가포르': 'sgp', 'singapūras': 'sgp', 'singapura': 'sgp', 'สิงคโปร์': 'sgp', 'сінгапур': 'sgp', '新加坡': 'sgp', 'سلوفاكيا': 'svk', 'словакия': 'svk', 'slovensko': 'svk', 'slovakiet': 'svk', 'slowakei': 'svk', 'σλοβακία': 'svk', 'slovakia': 'svk', 'slovakio': 'svk', 'eslovaquia': 'svk', 'slovakkia': 'svk', 'eslovakia': 'svk', 'slovaquie': 'svk', 'szlovákia': 'svk', 'սլովակիա': 'svk', 'slovacchia': 'svk', 'スロバキア': 'svk', '슬로바키아': 'svk', 'slovakija': 'svk', 'slowakije': 'svk', 'słowacja': 'svk', 'eslováquia': 'svk', 'slovacia': 'svk', 'slovakien': 'svk', 'สโลวาเกีย': 'svk', 'словаччина': 'svk', '斯洛伐克': 'svk', 'سلوفينيا': 'svn', 'словения': 'svn', 'slovinsko': 'svn', 'slovenien': 'svn', 'slowenien': 'svn', 'σλοβενία': 'svn', 'slovenia': 'svn', 'slovenio': 'svn', 'eslovenia': 'svn', 'sloveenia': 'svn', 'slovénie': 'svn', 'szlovénia': 'svn', 'սլովենիա': 'svn', 'スロベニア': 'svn', '슬로베니아': 'svn', 'slovėnija': 'svn', 'slovenië': 'svn', 'słowenia': 'svn', 'eslovênia': 'svn', 'สโลวีเนีย': 'svn', 'словенія': 'svn', '斯洛文尼亚': 'svn', '斯洛維尼亞': 'svn', 'جزر سليمان': 'slb', 'соломонови острови': 'slb', 'šalomounovy ostrovy': 'slb', 'salomonøerne': 'slb', 'salomonen': 'slb', 'νήσοι σολομώντα': 'slb', 'solomon islands': 'slb', 'salomonoj': 'slb', 'islas salomón': 'slb', 'saalomoni saared': 'slb', 'salomon uharteak': 'slb', 'salomonsaaret': 'slb', 'îles salomon': 'slb', 'salamon-szigetek': 'slb', 'սողոմոնյան կղզիներ': 'slb', 'isole salomone': 'slb', 'ソロモン諸島': 'slb', '솔로몬 제도': 'slb', 'saliamono salos': 'slb', 'salomonseilanden': 'slb', 'salomonøyene': 'slb', 'wyspy salomona': 'slb', 'ilhas salomão': 'slb', 'insulele solomon': 'slb', 'соломоновы острова': 'slb', 'šalamúnove ostrovy': 'slb', 'salomonöarna': 'slb', 'หมู่เกาะโซโลมอน': 'slb', 'соломонові острови': 'slb', '所罗门群岛': 'slb', '索羅門群島': 'slb', 'الصومال': 'som', 'сомалия': 'som', 'somálsko': 'som', 'somalia': 'som', 'σομαλία': 'som', 'somalio': 'som', 'somaalia': 'som', 'somalie': 'som', 'szomália': 'som', 'սոմալի': 'som', 'ソマリア': 'som', '소말리아': 'som', 'somalis': 'som', 'somalië': 'som', 'somália': 'som', 'сомали': 'som', 'โซมาเลีย': 'som', 'сомалі': 'som', '索马里': 'som', '索馬利亞': 'som', 'جنوب أفريقيا': 'zaf', 'юар': 'zaf', 'jihoafrická republika': 'zaf', 'sydafrika': 'zaf', 'südafrika': 'zaf', 'νότια αφρική': 'zaf', 'south africa': 'zaf', 'sud-afriko': 'zaf', 'sudáfrica': 'zaf', 'lõuna-aafrika vabariik': 'zaf', 'hegoafrika': 'zaf', 'etelä-afrikka': 'zaf', 'afrique du sud': 'zaf', 'dél-afrikai köztársaság': 'zaf', 'հարավաֆրիկյան հանրապետություն': 'zaf', 'sudafrica': 'zaf', '南アフリカ': 'zaf', '남아프리카 공화국': 'zaf', 'par': 'zaf', 'zuid-afrika': 'zaf', 'sør-afrika': 'zaf', 'południowa afryka': 'zaf', 'áfrica do sul': 'zaf', 'africa de sud': 'zaf', 'južná afrika': 'zaf', 'แอฟริกาใต้': 'zaf', 'пар': 'zaf', '南非': 'zaf', 'جنوب السودان': 'ssd', 'южен судан': 'ssd', 'jižní súdán': 'ssd', 'sydsudan': 'ssd', 'südsudan': 'ssd', 'νότιο σουδάν': 'ssd', 'south sudan': 'ssd', 'sud-sudano': 'ssd', 'sudán del sur': 'ssd', 'lõuna-sudaan': 'ssd', 'hego sudan': 'ssd', 'etelä-sudan': 'ssd', 'soudan du sud': 'ssd', 'dél-szudán': 'ssd', 'հարավային սուդան': 'ssd', 'sudan del sud': 'ssd', '南スーダン': 'ssd', '남수단': 'ssd', 'pietų sudanas': 'ssd', 'zuid-soedan': 'ssd', 'sør-sudan': 'ssd', 'sudan południowy': 'ssd', 'sudão do sul': 'ssd', 'sudanul de sud': 'ssd', 'южный судан': 'ssd', 'južný sudán': 'ssd', 'เซาท์ซูดาน': 'ssd', 'південний судан': 'ssd', '南苏丹': 'ssd', '南蘇丹': 'ssd', 'إسبانيا': 'esp', 'испания': 'esp', 'španělsko': 'esp', 'spanien': 'esp', 'ισπανία': 'esp', 'spain': 'esp', 'hispanio': 'esp', 'españa': 'esp', 'hispaania': 'esp', 'espainia': 'esp', 'espanja': 'esp', 'espagne': 'esp', 'spanyolország': 'esp', 'իսպանիա': 'esp', 'spagna': 'esp', 'スペイン': 'esp', '스페인': 'esp', 'ispanija': 'esp', 'spanje': 'esp', 'spania': 'esp', 'hiszpania': 'esp', 'espanha': 'esp', 'španielsko': 'esp', 'สเปน': 'esp', 'іспанія': 'esp', '西班牙': 'esp', 'سريلانكا': 'lka', 'шри ланка': 'lka', 'srí lanka': 'lka', 'sri lanka': 'lka', 'σρι λάνκα': 'lka', 'srilanko': 'lka', 'շրի լանկա': 'lka', 'スリランカ': 'lka', '스리랑카': 'lka', 'šri lanka': 'lka', 'seri lanca': 'lka', 'шри-ланка': 'lka', 'ศรีลังกา': 'lka', 'шрі-ланка': 'lka', '斯里兰卡': 'lka', '斯里蘭卡': 'lka', 'السودان': 'sdn', 'судан': 'sdn', 'súdán': 'sdn', 'sudan': 'sdn', 'σουδάν': 'sdn', 'sudano': 'sdn', 'sudán': 'sdn', 'sudaan': 'sdn', 'soudan': 'sdn', 'szudán': 'sdn', 'սուդան': 'sdn', 'スーダン': 'sdn', '수단': 'sdn', 'sudanas': 'sdn', 'soedan': 'sdn', 'sudão': 'sdn', 'ซูดาน': 'sdn', '苏丹': 'sdn', '蘇丹': 'sdn', 'سورينام': 'sur', 'суринам': 'sur', 'surinam': 'sur', 'suriname': 'sur', 'σουρινάμ': 'sur', 'surinamo': 'sur', 'սուրինամ': 'sur', 'スリナム': 'sur', '수리남': 'sur', 'surinamas': 'sur', 'ซูรินาม': 'sur', '苏里南': 'sur', '蘇利南': 'sur', 'إسواتيني': 'swz', 'есватини': 'swz', 'svazijsko': 'swz', 'swaziland': 'swz', 'eswatini': 'swz', 'εσουατίνι': 'swz', 'svazilando': 'swz', 'suazilandia': 'swz', 'svaasimaa': 'swz', 'swazimaa': 'swz', 'szváziföld': 'swz', 'էսվատինի': 'swz', 'エスワティニ': 'swz', '에스와티니': 'swz', 'svazilendas': 'swz', 'essuatíni': 'swz', 'эсватини': 'swz', 'เอสวาตีนี': 'swz', 'есватіні': 'swz', '斯威士兰': 'swz', '史瓦帝尼': 'swz', 'السويد': 'swe', 'швеция': 'swe', 'švédsko': 'swe', 'sverige': 'swe', 'schweden': 'swe', 'σουηδία': 'swe', 'sweden': 'swe', 'svedio': 'swe', 'suecia': 'swe', 'rootsi': 'swe', 'suedia': 'swe', 'ruotsi': 'swe', 'suède': 'swe', 'svédország': 'swe', 'շվեդիա': 'swe', 'svezia': 'swe', 'スウェーデン': 'swe', '스웨덴': 'swe', 'švedija': 'swe', 'zweden': 'swe', 'szwecja': 'swe', 'suécia': 'swe', 'สวีเดน': 'swe', 'швеція': 'swe', '瑞典': 'swe', 'سويسرا': 'che', 'швейцария': 'che', 'švýcarsko': 'che', 'schweiz': 'che', 'ελβετία': 'che', 'switzerland': 'che', 'svislando': 'che', 'suiza': 'che', 'šveits': 'che', 'suitza': 'che', 'sveitsi': 'che', 'suisse': 'che', 'svájc': 'che', 'շվեյցարիա': 'che', 'svizzera': 'che', 'スイス': 'che', '스위스': 'che', 'šveicarija': 'che', 'zwitserland': 'che', 'sveits': 'che', 'szwajcaria': 'che', 'suíça': 'che', 'elveția': 'che', 'švajčiarsko': 'che', 'สวิตเซอร์แลนด์': 'che', 'швейцарія': 'che', '瑞士': 'che', 'سوريا': 'syr', 'сирия': 'syr', 'sýrie': 'syr', 'syrien': 'syr', 'συρία': 'syr', 'syrian arab republic': 'syr', 'sirio': 'syr', 'siria': 'syr', 'süüria': 'syr', 'syyria': 'syr', 'syrie': 'syr', 'szíria': 'syr', 'սիրիա': 'syr', 'シリア・アラブ共和国': 'syr', '시리아': 'syr', 'sirija': 'syr', 'syrië': 'syr', 'syria': 'syr', 'síria': 'syr', 'sýria': 'syr', 'ซีเรีย': 'syr', 'сирія': 'syr', '叙利亚': 'syr', '敘利亞': 'syr', 'طاجيكستان': 'tjk', 'таджикистан': 'tjk', 'tádžikistán': 'tjk', 'tadsjikistan': 'tjk', 'tadschikistan': 'tjk', 'τατζικιστάν': 'tjk', 'tajikistan': 'tjk', 'taĝikio': 'tjk', 'tayikistán': 'tjk', 'tadžikistan': 'tjk', 'tadjikistan': 'tjk', 'tádzsikisztán': 'tjk', 'տաջիկստան': 'tjk', 'tagikistan': 'tjk', 'タジキスタン': 'tjk', '타지키스탄': 'tjk', 'tadžikija': 'tjk', 'tadzjikistan': 'tjk', 'tadżykistan': 'tjk', 'tajiquistão': 'tjk', 'ทาจิกิสถาน': 'tjk', '塔吉克斯坦': 'tjk', '塔吉克': 'tjk', 'تنزانيا': 'tza', 'танзания': 'tza', 'tanzanie': 'tza', 'tanzania': 'tza', 'tansania': 'tza', 'τανζανία': 'tza', 'tanzania, united republic of': 'tza', 'tanzanio': 'tza', 'tansaania': 'tza', 'tanzánia': 'tza', 'տանզանիա': 'tza', 'タンザニア': 'tza', '탄자니아': 'tza', 'tanzanija': 'tza', 'tanzânia': 'tza', 'แทนซาเนีย': 'tza', 'танзанія': 'tza', '坦桑尼亚': 'tza', '坦尚尼亞': 'tza', 'تايلاند': 'tha', 'тайланд': 'tha', 'thajsko': 'tha', 'thailand': 'tha', 'ταϊλάνδη': 'tha', 'tajlando': 'tha', 'tailandia': 'tha', 'tai': 'tha', 'thailandia': 'tha', 'thaimaa': 'tha', 'thaïlande': 'tha', 'thaiföld': 'tha', 'թաիլանդ': 'tha', 'タイ': 'tha', '태국': 'tha', 'tailandas': 'tha', 'tajlandia': 'tha', 'tailândia': 'tha', 'thailanda': 'tha', 'таиланд': 'tha', 'ไทย': 'tha', 'таїланд': 'tha', '泰国': 'tha', '泰國': 'tha', 'تيمور الشرقية': 'tls', 'източен тимор': 'tls', 'východní timor': 'tls', 'østtimor': 'tls', 'osttimor': 'tls', 'ανατολικό τιμόρ': 'tls', 'timor-leste': 'tls', 'orienta timoro': 'tls', 'timor oriental': 'tls', 'ida-timor': 'tls', 'ekialdeko timor': 'tls', 'itä-timor': 'tls', 'kelet-timor': 'tls', 'արևելյան թիմոր': 'tls', 'timor est': 'tls', '東ティモール': 'tls', '동티모르': 'tls', 'rytų timoras': 'tls', 'oost-timor': 'tls', 'øst-timor': 'tls', 'timor wschodni': 'tls', 'timorul de est': 'tls', 'восточный тимор': 'tls', 'východný timor': 'tls', 'östtimor': 'tls', 'ติมอร์-เลสเต': 'tls', 'східний тимор': 'tls', '东帝汶': 'tls', '東帝汶': 'tls', 'توغو': 'tgo', 'того': 'tgo', 'togo': 'tgo', 'τόγκο': 'tgo', 'togolando': 'tgo', 'տոգո': 'tgo', 'トーゴ': 'tgo', '토고': 'tgo', 'togas': 'tgo', 'โตโก': 'tgo', '多哥': 'tgo', 'تونغا': 'ton', 'тонга': 'ton', 'tonga': 'ton', 'τόγκα': 'ton', 'tongo': 'ton', 'տոնգա': 'ton', 'トンガ': 'ton', '통가': 'ton', 'ตองงา': 'ton', '汤加': 'ton', '東加': 'ton', 'ترينيداد وتوباغو': 'tto', 'тринидад и тобаго': 'tto', 'trinidad a tobago': 'tto', 'trinidad og tobago': 'tto', 'trinidad und tobago': 'tto', 'τρινιντάντ και τομπάγκο': 'tto', 'trinidad and tobago': 'tto', 'trinidado kaj tobago': 'tto', 'trinidad y tobago': 'tto', 'trinidad ja tobago': 'tto', 'trinidad eta tobago': 'tto', 'trinité-et-tobago': 'tto', 'trinidad és tobago': 'tto', 'տրինիդադ և տոբագո': 'tto', 'trinidad e tobago': 'tto', 'トリニダード・トバゴ': 'tto', '트리니다드 토바고': 'tto', 'trinidadas ir tobagas': 'tto', 'trinidad en tobago': 'tto', 'trynidad i tobago': 'tto', 'trinidad și tobago': 'tto', 'trinidad och tobago': 'tto', 'ตรินิแดดและโตเบโก': 'tto', 'тринідад і тобаго': 'tto', '特立尼达和多巴哥': 'tto', '千里達及托巴哥': 'tto', 'تونس': 'tun', 'тунис': 'tun', 'tunisko': 'tun', 'tunesien': 'tun', 'τυνησία': 'tun', 'tunisia': 'tun', 'tunizio': 'tun', 'túnez': 'tun', 'tuneesia': 'tun', 'tunisie': 'tun', 'tunézia': 'tun', 'թունիս': 'tun', 'チュニジア': 'tun', '튀니지': 'tun', 'tunisas': 'tun', 'tunesië': 'tun', 'tunezja': 'tun', 'tunísia': 'tun', 'tunisien': 'tun', 'ตูนิเซีย': 'tun', 'туніс': 'tun', '突尼斯': 'tun', '突尼西亞': 'tun', 'تركيا': 'tur', 'турция': 'tur', 'turecko': 'tur', 'tyrkiet': 'tur', 'türkei': 'tur', 'τουρκία': 'tur', 'turkey': 'tur', 'turkio': 'tur', 'turquía': 'tur', 'türgi': 'tur', 'turkia': 'tur', 'turkki': 'tur', 'turquie': 'tur', 'törökország': 'tur', 'թուրքիա': 'tur', 'turchia': 'tur', 'トルコ': 'tur', '터키': 'tur', 'turkija': 'tur', 'turkije': 'tur', 'tyrkia': 'tur', 'turcja': 'tur', 'turquia': 'tur', 'turcia': 'tur', 'turkiet': 'tur', 'ตุรกี': 'tur', 'туреччина': 'tur', '土耳其': 'tur', 'تركمانستان': 'tkm', 'туркменистан': 'tkm', 'turkmenistán': 'tkm', 'turkmenistan': 'tkm', 'τουρκμενιστάν': 'tkm', 'turkmenio': 'tkm', 'türkmenistan': 'tkm', 'turkménistan': 'tkm', 'türkmenisztán': 'tkm', 'թուրքմենստան': 'tkm', 'トルクメニスタン': 'tkm', '투르크메니스탄': 'tkm', 'turkmėnija': 'tkm', 'turcomenistão': 'tkm', 'туркмения': 'tkm', 'turkménsko': 'tkm', 'เติร์กเมนิสถาน': 'tkm', 'туркменістан': 'tkm', '土库曼斯坦': 'tkm', '土庫曼': 'tkm', 'توفالو': 'tuv', 'тувалу': 'tuv', 'tuvalu': 'tuv', 'τουβαλού': 'tuv', 'tuvalo': 'tuv', 'տուվալու': 'tuv', 'ツバル': 'tuv', '투발루': 'tuv', 'ตูวาลู': 'tuv', '图瓦卢': 'tuv', '吐瓦魯': 'tuv', 'أوغندا': 'uga', 'уганда': 'uga', 'uganda': 'uga', 'ουγκάντα': 'uga', 'ugando': 'uga', 'ouganda': 'uga', 'ուգանդա': 'uga', 'ウガンダ': 'uga', '우간다': 'uga', 'oeganda': 'uga', 'ยูกันดา': 'uga', '乌干达': 'uga', '烏干達': 'uga', 'أوكرانيا': 'ukr', 'украйна': 'ukr', 'ukrajina': 'ukr', 'ukraine': 'ukr', 'ουκρανία': 'ukr', 'ukrainio': 'ukr', 'ucrania': 'ukr', 'ukraina': 'ukr', 'ukrajna': 'ukr', 'ուկրաինա': 'ukr', 'ucraina': 'ukr', 'ウクライナ': 'ukr', '우크라이나': 'ukr', 'oekraïne': 'ukr', 'ucrânia': 'ukr', 'украина': 'ukr', 'ยูเครน': 'ukr', 'україна': 'ukr', '乌克兰': 'ukr', '烏克蘭': 'ukr', 'الإمارات العربية المتحدة': 'are', 'оае': 'are', 'spojené arabské emiráty': 'are', 'forenede arabiske emirater': 'are', 'vereinigte arabische emirate': 'are', 'ηνωμένα αραβικά εμιράτα': 'are', 'united arab emirates': 'are', 'unuiĝintaj arabaj emirlandoj': 'are', 'emiratos árabes unidos': 'are', 'araabia ühendemiraadid': 'are', 'arabiar emirerri batuak': 'are', 'arabiemiirikunnat': 'are', 'émirats arabes unis': 'are', 'egyesült arab emírségek': 'are', 'արաբական միացյալ էմիրություններ': 'are', 'emirati arabi uniti': 'are', 'アラブ首長国連邦': 'are', '아랍에미리트': 'are', 'jungtiniai arabų emyratai': 'are', 'verenigde arabische emiraten': 'are', 'de forente arabiske emirater': 'are', 'zjednoczone emiraty arabskie': 'are', 'emirados árabes unidos': 'are', 'emiratele arabe unite': 'are', 'оаэ': 'are', 'förenade arabemiraten': 'are', 'สหรัฐอาหรับเอมิเรตส์': 'are', '阿联酋': 'are', '阿聯': 'are', 'المملكة المتحدة': 'gbr', 'великобритания': 'gbr', 'spojené království velké británie a severního irska': 'gbr', 'storbritannien': 'gbr', 'vereinigtes königreich': 'gbr', 'ηνωμένο βασίλειο': 'gbr', 'united kingdom of great britain and northern ireland': 'gbr', 'britio': 'gbr', 'reino unido': 'gbr', 'suurbritannia': 'gbr', 'erresuma batua': 'gbr', 'yhdistynyt kuningaskunta': 'gbr', 'royaume-uni': 'gbr', 'egyesült királyság': 'gbr', 'մեծ բրիտանիա': 'gbr', 'regno unito': 'gbr', 'イギリス': 'gbr', '영국': 'gbr', 'jungtinė karalystė': 'gbr', 'verenigd koninkrijk': 'gbr', 'storbritannia': 'gbr', 'wielka brytania': 'gbr', 'regatul unit': 'gbr', 'spojené kráľovstvo': 'gbr', 'สหราชอาณาจักร': 'gbr', 'велика британія': 'gbr', '英国': 'gbr', '英國': 'gbr', 'الولايات المتحدة': 'usa', 'сащ': 'usa', 'spojené státy americké': 'usa', 'usa': 'usa', 'vereinigte staaten': 'usa', 'ηνωμένες πολιτείες αμερικής': 'usa', 'united states of america': 'usa', 'usono': 'usa', 'estados unidos': 'usa', 'ameerika ühendriigid': 'usa', 'aeb': 'usa', 'yhdysvallat': 'usa', 'états-unis': 'usa', 'amerikai egyesült államok': 'usa', 'ամն': 'usa', 'stati uniti': 'usa', 'アメリカ合衆国': 'usa', '미국': 'usa', 'jungtinės valstijos': 'usa', 'verenigde staten': 'usa', 'stany zjednoczone': 'usa', 'statele unite ale americii': 'usa', 'сша': 'usa', 'spojené štáty': 'usa', 'สหรัฐ': 'usa', '美国': 'usa', '美國': 'usa', 'الأوروغواي': 'ury', 'уругвай': 'ury', 'uruguay': 'ury', 'ουρουγουάη': 'ury', 'urugvajo': 'ury', 'uruguai': 'ury', 'ուրուգվայ': 'ury', 'ウルグアイ': 'ury', '우루과이': 'ury', 'urugvajus': 'ury', 'urugwaj': 'ury', 'uruguaj': 'ury', 'อุรุกวัย': 'ury', '乌拉圭': 'ury', '烏拉圭': 'ury', 'أوزبكستان': 'uzb', 'узбекистан': 'uzb', 'uzbekistán': 'uzb', 'usbekistan': 'uzb', 'ουζμπεκιστάν': 'uzb', 'uzbekistan': 'uzb', 'uzbekio': 'uzb', 'ouzbékistan': 'uzb', 'üzbegisztán': 'uzb', 'ուզբեկստան': 'uzb', 'ウズベキスタン': 'uzb', '우즈베키스탄': 'uzb', 'uzbekistanas': 'uzb', 'oezbekistan': 'uzb', 'uzbequistão': 'uzb', 'อุซเบกิสถาน': 'uzb', '乌兹别克斯坦': 'uzb', '烏茲別克': 'uzb', 'فانواتو': 'vut', 'вануату': 'vut', 'vanuatu': 'vut', 'βανουάτου': 'vut', 'vanuatuo': 'vut', 'վանուատու': 'vut', 'バヌアツ': 'vut', '바누아투': 'vut', 'วานูอาตู': 'vut', '瓦努阿图': 'vut', '萬那杜': 'vut', 'فنزويلا': 'ven', 'венецуела': 'ven', 'venezuela': 'ven', 'βενεζουέλα': 'ven', 'venezuela (bolivarian republic of)': 'ven', 'venezuelo': 'ven', 'վենեսուելա': 'ven', 'ベネズエラ・ボリバル共和国': 'ven', '베네수엘라': 'ven', 'venesuela': 'ven', 'wenezuela': 'ven', 'венесуэла': 'ven', 'เวเนซุเอลา': 'ven', 'венесуела': 'ven', '委内瑞拉': 'ven', '委內瑞拉': 'ven', 'فيتنام': 'vnm', 'виетнам': 'vnm', 'vietnam': 'vnm', 'βιετνάμ': 'vnm', 'viet nam': 'vnm', 'vjetnamio': 'vnm', 'viêt nam': 'vnm', 'vietnám': 'vnm', 'վիետնամ': 'vnm', 'ベトナム': 'vnm', '베트남': 'vnm', 'vietnamas': 'vnm', 'wietnam': 'vnm', 'vietnã': 'vnm', 'вьетнам': 'vnm', 'เวียดนาม': 'vnm', "в'єтнам": 'vnm', '越南': 'vnm', 'اليمن': 'yem', 'йемен': 'yem', 'jemen': 'yem', 'yemen': 'yem', 'υεμένη': 'yem', 'jemeno': 'yem', 'jeemen': 'yem', 'yémen': 'yem', 'եմեն': 'yem', 'イエメン': 'yem', '예멘': 'yem', 'jemenas': 'yem', 'iêmen': 'yem', 'เยเมน': 'yem', 'ємен': 'yem', '也门': 'yem', '葉門': 'yem', 'زامبيا': 'zmb', 'замбия': 'zmb', 'zambie': 'zmb', 'zambia': 'zmb', 'sambia': 'zmb', 'ζάμπια': 'zmb', 'zambio': 'zmb', 'զամբիա': 'zmb', 'ザンビア': 'zmb', '잠비아': 'zmb', 'zambija': 'zmb', 'zâmbia': 'zmb', 'แซมเบีย': 'zmb', 'замбія': 'zmb', '赞比亚': 'zmb', '尚比亞': 'zmb', 'زيمبابوي': 'zwe', 'зимбабве': 'zwe', 'zimbabwe': 'zwe', 'simbabwe': 'zwe', 'ζιμπάμπουε': 'zwe', 'zimbabvo': 'zwe', 'zimbabue': 'zwe', 'զիմբաբվե': 'zwe', 'ジンバブエ': 'zwe', '짐바브웨': 'zwe', 'zimbabvė': 'zwe', 'zimbábue': 'zwe', 'ซิมบับเว': 'zwe', 'зімбабве': 'zwe', '津巴布韦': 'zwe', '辛巴威': 'zwe', 'af': 'afg', 'al': 'alb','dz': 'dza','ad': 'and','ao': 'ago','ag': 'atg','ar': 'arg','am': 'arm','au': 'aus','at': 'aut','az': 'aze','bs': 'bhs','bh': 'bhr','bd': 'bgd','bb': 'brb','by': 'blr','be': 'bel','bz': 'blz','bj': 'ben','bt': 'btn','bo': 'bol','ba': 'bih','bw': 'bwa','br': 'bra','bn': 'brn','bg': 'bgr','bf': 'bfa','bi': 'bdi','kh': 'khm','cm': 'cmr','ca': 'can','cv': 'cpv','cf': 'caf','td': 'tcd','cl': 'chl','cn': 'chn','co': 'col','km': 'com','cg': 'cog','cd': 'cod','cr': 'cri','ci': 'civ','hr': 'hrv','cu': 'cub','cy': 'cyp','cz': 'cze','dk': 'dnk','dj': 'dji','dm': 'dma','do': 'dom','ec': 'ecu','eg': 'egy','sv': 'slv','gq': 'gnq','er': 'eri','ee': 'est','et': 'eth','fj': 'fji','fi': 'fin','fr': 'fra','ga': 'gab','gm': 'gmb','ge': 'geo','de': 'deu','gh': 'gha','gr': 'grc','gd': 'grd','gt': 'gtm','gn': 'gin','gw': 'gnb','gy': 'guy','ht': 'hti','hn': 'hnd','hu': 'hun','is': 'isl','in': 'ind','id': 'idn','ir': 'irn','iq': 'irq','ie': 'irl','il': 'isr','it': 'ita','jm': 'jam','jp': 'jpn','jo': 'jor','kz': 'kaz','ke': 'ken','ki': 'kir','kp': 'prk','kr': 'kor','kw': 'kwt','kg': 'kgz','la': 'lao','lv': 'lva','lb': 'lbn','ls': 'lso','lr': 'lbr','ly': 'lby','li': 'lie','lt': 'ltu','lu': 'lux','mk': 'mkd','mg': 'mdg','mw': 'mwi','my': 'mys','mv': 'mdv','ml': 'mli','mt': 'mlt','mh': 'mhl','mr': 'mrt','mu': 'mus','mx': 'mex','fm': 'fsm','ma': 'mar','md': 'mda','mc': 'mco','mn': 'mng','me': 'mne','mz': 'moz','mm': 'mmr','na': 'nam','nr': 'nru','np': 'npl','nl': 'nld','nz': 'nzl','ni': 'nic','ne': 'ner','ng': 'nga','no': 'nor','om': 'omn','pk': 'pak','pw': 'plw','pa': 'pan','pg': 'png','py': 'pry','pe': 'per','ph': 'phl','pl': 'pol','pt': 'prt','qa': 'qat','ro': 'rou','ru': 'rus','rw': 'rwa','kn': 'kna','lc': 'lca','vc': 'vct','ws': 'wsm','sm': 'smr','st': 'stp','sa': 'sau','sn': 'sen','rs': 'srb','sc': 'syc','sl': 'sle','sg': 'sgp','sk': 'svk','si': 'svn','sb': 'slb','so': 'som','za': 'zaf','ss': 'ssd','es': 'esp','lk': 'lka','sd': 'sdn','sr': 'sur','sz': 'swz','se': 'swe','ch': 'che','sy': 'syr','tj': 'tjk','tz': 'tza','th': 'tha','tl': 'tls','tg': 'tgo','to': 'ton','tt': 'tto','tn': 'tun','tr': 'tur','tm': 'tkm','tv': 'tuv','ug': 'uga','ua': 'ukr','ae': 'are','gb': 'gbr','us': 'usa','uy': 'ury','uz': 'uzb','vu': 'vut','ve': 'ven','vn': 'vnm','ye': 'yem','zm': 'zmb','zw': 'zwe', 'aq': 'ata', 'antarctica': 'ata','أنتاركتيك': 'ata', 'անտարկտիկա': 'ata', 'Antartika': 'ata', 'антарктика': 'ata'}